Index: /branches/HTM-15.2-dev/source/App/TAppDecoder/TAppDecCfg.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/App/TAppDecoder/TAppDecCfg.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/App/TAppDecoder/TAppDecCfg.cpp	(revision 1374)
@@ -109,5 +109,5 @@
   ("ForceDecodeBitDepth",       m_forceDecodeBitDepth,                 0U,         "Force the decoder to operate at a particular bit-depth (best effort decoding)")
 #endif
-#if NH_MV_SEI
+#if NH_MV
   ("OutputDecodedSEIMessagesFilename,m",  m_outputDecodedSEIMessagesFilename,    string(""), "When non empty, output decoded SEI messages to the indicated file. If file is '-', then output to stdout\n")
 #else
Index: /branches/HTM-15.2-dev/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1374)
@@ -205,5 +205,5 @@
 
 
-#if NH_MV_SEI
+#if NH_MV
 Void TAppEncCfg::xParseSeiCfg()
 {
@@ -1276,15 +1276,5 @@
   ("SEIMasteringDisplayWhitePoint",                   cfg_DisplayWhitePointCode,     cfg_DisplayWhitePointCode, "Mastering display white point CIE xy coordinates in normalised increments of 1/50000 (e.g. 0.333 = 16667)")
 #if NH_MV
-#if !NH_MV_SEI
-  ("SubBitstreamPropSEIEnabled",                      m_subBistreamPropSEIEnabled,    false                     ,"Enable signaling of sub-bitstream property SEI message")
-  ("SEISubBitstreamNumAdditionalSubStreams",          m_sbPropNumAdditionalSubStreams,0                         ,"Number of substreams for which additional information is signalled")
-  ("SEISubBitstreamSubBitstreamMode",                 m_sbPropSubBitstreamMode,       IntAry1d (1,0)            ,"Specifies mode of generation of the i-th sub-bitstream (0 or 1)")
-  ("SEISubBitstreamOutputLayerSetIdxToVps",           m_sbPropOutputLayerSetIdxToVps, IntAry1d (1,0)            ,"Specifies output layer set index of the i-th sub-bitstream ")
-  ("SEISubBitstreamHighestSublayerId",                m_sbPropHighestSublayerId,      IntAry1d (1,0)            ,"Specifies highest TemporalId of the i-th sub-bitstream")
-  ("SEISubBitstreamAvgBitRate",                       m_sbPropAvgBitRate,             IntAry1d (1,0)            ,"Specifies average bit rate of the i-th sub-bitstream")
-  ("SEISubBitstreamMaxBitRate",                       m_sbPropMaxBitRate,             IntAry1d (1,0)            ,"Specifies maximum bit rate of the i-th sub-bitstream")
-#else
   ("SeiCfgFileName_%d",                               m_seiCfgFileNames,             (TChar *) 0 ,MAX_NUM_SEIS , "SEI cfg file name %d")
-#endif
   ("OutputVpsInfo",                                   m_outputVpsInfo,                false                     ,"Output information about the layer dependencies and layer sets")
 
@@ -1942,5 +1932,5 @@
   }
 
-#if NH_MV_SEI
+#if NH_MV
   xParseSeiCfg(); 
 #endif
@@ -3329,23 +3319,4 @@
   }
   }
-#if !NH_MV_SEI
-  // Check input parameters for Sub-bitstream property SEI message
-  if( m_subBistreamPropSEIEnabled )
-  {
-    xConfirmPara( 
-      (this->m_sbPropNumAdditionalSubStreams != m_sbPropAvgBitRate.size() )
-      || (this->m_sbPropNumAdditionalSubStreams != m_sbPropHighestSublayerId.size() )
-      || (this->m_sbPropNumAdditionalSubStreams != m_sbPropMaxBitRate.size() )
-      || (this->m_sbPropNumAdditionalSubStreams != m_sbPropOutputLayerSetIdxToVps.size() )
-      || (this->m_sbPropNumAdditionalSubStreams != m_sbPropSubBitstreamMode.size()), "Some parameters of some sub-bitstream not defined");
-
-    for( Int i = 0; i < m_sbPropNumAdditionalSubStreams; i++ )
-    {
-      xConfirmPara( m_sbPropSubBitstreamMode[i] < 0 || m_sbPropSubBitstreamMode[i] > 1, "Mode value should be 0 or 1" );
-      xConfirmPara( m_sbPropHighestSublayerId[i] < 0 || m_sbPropHighestSublayerId[i] > MAX_TLAYER-1, "Maximum sub-layer ID out of range" );
-      xConfirmPara( m_sbPropOutputLayerSetIdxToVps[i] < 0 || m_sbPropOutputLayerSetIdxToVps[i] >= MAX_VPS_OUTPUTLAYER_SETS, "OutputLayerSetIdxToVps should be within allowed range" );
-    }
-  }
-#endif
 #endif
 
Index: /branches/HTM-15.2-dev/source/App/TAppEncoder/TAppEncCfg.h
===================================================================
--- /branches/HTM-15.2-dev/source/App/TAppEncoder/TAppEncCfg.h	(revision 1373)
+++ /branches/HTM-15.2-dev/source/App/TAppEncoder/TAppEncCfg.h	(revision 1374)
@@ -258,5 +258,5 @@
 #endif
   TComSEIMasteringDisplay m_masteringDisplay;
-#if NH_MV_SEI
+#if NH_MV
   std::vector<char*>     m_seiCfgFileNames;               ///< SEI message files.
   SEIMessages            m_seiMessages;                       ///< Buffer for SEI messages. 
@@ -523,13 +523,4 @@
   UInt        m_summaryVerboseness;                           ///< Specifies the level of the verboseness of the text output.
 #if NH_MV
-#if !NH_MV_SEI
-  Bool              m_subBistreamPropSEIEnabled;
-  Int               m_sbPropNumAdditionalSubStreams;
-  IntAry1d          m_sbPropSubBitstreamMode;
-  IntAry1d          m_sbPropOutputLayerSetIdxToVps;
-  IntAry1d          m_sbPropHighestSublayerId;
-  IntAry1d          m_sbPropAvgBitRate;
-  IntAry1d          m_sbPropMaxBitRate;
-#endif
   Bool              m_outputVpsInfo;
   TChar*            m_pchBaseViewCameraNumbers;
@@ -676,9 +667,6 @@
   Void xPrintVectorElem( Double elem ) { printf(" %5.2f", elem            );};  
   Void xPrintVectorElem( Bool   elem ) { printf(" %d"   , ( elem ? 1 : 0 ));};
-#if NH_MV_SEI
   Void xParseSeiCfg();
-#endif
-#endif
-#if NH_MV
+
   Int   getGOPSize() { return m_iGOPSize; }
 #endif
Index: /branches/HTM-15.2-dev/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1374)
@@ -606,19 +606,4 @@
   m_cTEncTop.setSOPDescriptionSEIEnabled                          ( m_SOPDescriptionSEIEnabled );
   m_cTEncTop.setScalableNestingSEIEnabled                         ( m_scalableNestingSEIEnabled );
-#if NH_MV
-#if !NH_MV_SEI
-  m_cTEncTop.setSubBitstreamPropSEIEnabled                        ( m_subBistreamPropSEIEnabled );
-  if( m_subBistreamPropSEIEnabled )                               
-  {                                                               
-    m_cTEncTop.setNumAdditionalSubStreams                         ( m_sbPropNumAdditionalSubStreams );
-    m_cTEncTop.setSubBitstreamMode                                ( m_sbPropSubBitstreamMode );
-    m_cTEncTop.setOutputLayerSetIdxToVps                          ( m_sbPropOutputLayerSetIdxToVps );
-    m_cTEncTop.setHighestSublayerId                               ( m_sbPropHighestSublayerId );
-    m_cTEncTop.setAvgBitRate                                      ( m_sbPropAvgBitRate );
-    m_cTEncTop.setMaxBitRate                                      ( m_sbPropMaxBitRate );
-  }
-#endif
-#endif
-
   m_cTEncTop.setTMCTSSEIEnabled                                   ( m_tmctsSEIEnabled );
   m_cTEncTop.setTimeCodeSEIEnabled                                ( m_timeCodeSEIEnabled );
@@ -642,5 +627,5 @@
   m_cTEncTop.setMasteringDisplaySEI                               ( m_masteringDisplay );
 
-#if NH_MV_SEI
+#if NH_MV
   m_cTEncTop.setSeiMessages                                       ( &m_seiMessages ); 
 #endif
@@ -1173,5 +1158,5 @@
   printRateSummary();
 
-#if H_3D_REN_MAX_DEV_OUT
+#if NH_3D_REN_MAX_DEV_OUT
   Double dMaxDispDiff = m_cCameraData.getMaxShiftDeviation(); 
 
Index: /branches/HTM-15.2-dev/source/App/TAppRenderer/TAppRendererTop.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/App/TAppRenderer/TAppRendererTop.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/App/TAppRenderer/TAppRendererTop.cpp	(revision 1374)
@@ -488,5 +488,5 @@
   }
 
-#if H_3D_REN_MAX_DEV_OUT
+#if NH_3D_REN_MAX_DEV_OUT
   Double dMaxDispDiff = m_cCameraData.getMaxShiftDeviation(); 
 
Index: /branches/HTM-15.2-dev/source/Lib/TAppCommon/TAppComCamPara.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TAppCommon/TAppComCamPara.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TAppCommon/TAppComCamPara.cpp	(revision 1374)
@@ -882,5 +882,5 @@
 
         // maximum deviation
-#if H_3D_REN_MAX_DEV_OUT
+#if NH_3D_REN_MAX_DEV_OUT
         m_dMaxShiftDeviation = std::max( m_dMaxShiftDeviation, fabs( Double( (Int) iShiftLuma   ) - dShiftLuma   ) / Double( 1 << m_iLog2Precision ) );        
 #endif
@@ -983,5 +983,5 @@
   m_bCamParsCodedPrecSet      = false;
 
-#if H_3D_REN_MAX_DEV_OUT
+#if NH_3D_REN_MAX_DEV_OUT
   m_dMaxShiftDeviation        = -1; 
 #endif
Index: /branches/HTM-15.2-dev/source/Lib/TAppCommon/TAppComCamPara.h
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TAppCommon/TAppComCamPara.h	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TAppCommon/TAppComCamPara.h	(revision 1374)
@@ -67,5 +67,5 @@
   Bool                m_bCamParsCodedPrecSet;                 ///< Coded Cam Para precision set for current frame;
   
-#if H_3D_REN_MAX_DEV_OUT
+#if NH_3D_REN_MAX_DEV_OUT
   Double              m_dMaxShiftDeviation;                   ///< Maximum deviation of shifts with integer precision compare to double precision
 #endif
@@ -184,5 +184,5 @@
   UInt                getCurFrameId             ()  { return m_iCurrentFrameId;   }
   static Void         convertNumberString       ( TChar* pchViewNumberString, std::vector<Int>& raiViewNumbers, Double dViewNumPrec );
-#if H_3D_REN_MAX_DEV_OUT
+#if NH_3D_REN_MAX_DEV_OUT
   Double              getMaxShiftDeviation      () { return m_dMaxShiftDeviation; }; 
 #endif
Index: /branches/HTM-15.2-dev/source/Lib/TAppCommon/program_options_lite.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TAppCommon/program_options_lite.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TAppCommon/program_options_lite.cpp	(revision 1374)
@@ -111,5 +111,5 @@
     }
 
-#if NH_MV_SEI
+#if NH_MV
     static void setOptions(Options::NamesPtrList& opt_list, const std::vector<int> idcs, const string& value, ErrorReporter& error_reporter)
 #else
@@ -121,5 +121,5 @@
       for (Options::NamesPtrList::iterator it = opt_list.begin(); it != opt_list.end(); ++it)
       {
-        #if NH_MV_SEI
+#if NH_MV
           Bool doParsing = (*it)->opt->checkDim( idcs, error_reporter ); 
           if ( doParsing )
@@ -127,8 +127,7 @@
             (*it)->opt->parse(value, idcs, error_reporter);
           }
-          
-        #else
+#else
         (*it)->opt->parse(value, error_reporter);
-        #endif
+#endif
       }
     }
@@ -290,5 +289,5 @@
     bool OptionWriter::storePair(bool allow_long, bool allow_short, const string& name, const string& value)
     {
-#if NH_MV_SEI
+#if NH_MV
       std::vector<int> idcs;             
       
@@ -324,5 +323,5 @@
           found = true;
         }
-#if NH_MV_SEI
+#if NH_MV
         if ( idcs.size() > 0 )
         {
@@ -347,5 +346,5 @@
           found = true;
         }
-#if NH_MV_SEI
+#if NH_MV
         if ( idcs.size() > 0 )
         {
@@ -362,5 +361,5 @@
       }
 
-#if NH_MV_SEI
+#if NH_MV
     if ( !found_idcs )
     {
@@ -370,5 +369,5 @@
       if (!found)
       {
-#if NH_MV_SEI
+#if NH_MV
         if (error_reporter.output_on_unknow_parameter )
         {       
@@ -377,5 +376,5 @@
         error_reporter.error(where())
           << "Unknown option `" << name << "' (value:`" << value << "')\n";
-#if NH_MV_SEI
+#if NH_MV
         }
 #endif
@@ -383,5 +382,5 @@
       }
 
-#if NH_MV_SEI
+#if NH_MV
       setOptions((*opt_it).second, idcs, value, error_reporter);
 #else
Index: /branches/HTM-15.2-dev/source/Lib/TAppCommon/program_options_lite.h
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TAppCommon/program_options_lite.h	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TAppCommon/program_options_lite.h	(revision 1374)
@@ -77,5 +77,5 @@
     struct ErrorReporter
     {
-#if NH_MV_SEI
+#if NH_MV
       ErrorReporter() : is_errored(0), output_on_unknow_parameter(true)  {}
 #else
@@ -86,5 +86,5 @@
       virtual std::ostream& warn(const std::string& where);
       bool is_errored;
-#if NH_MV_SEI
+#if NH_MV
       bool output_on_unknow_parameter;
 #endif
@@ -104,12 +104,7 @@
     {
 #if NH_MV      
-#if NH_MV_SEI      
       OptionBase(const std::string& name, const std::string& desc, bool duplicate = false, std::vector< int > maxdim = std::vector< int >(0) )
         : opt_string(name), opt_desc(desc), opt_duplicate(duplicate), max_dim( maxdim )
 #else
-      OptionBase(const std::string& name, const std::string& desc, bool duplicate = false)
-        : opt_string(name), opt_desc(desc), opt_duplicate(duplicate)
-#endif
-#else
       OptionBase(const std::string& name, const std::string& desc)
       : opt_string(name), opt_desc(desc)
@@ -120,5 +115,5 @@
 
       /* parse argument arg, to obtain a value for the option */
-#if NH_MV_SEI
+#if NH_MV
       virtual void parse(const std::string& arg, const std::vector<int>& idcs,  ErrorReporter&) = 0;
       
@@ -220,7 +215,5 @@
 #if NH_MV
       bool        opt_duplicate; 
-#if NH_MV_SEI
       std::vector<int> max_dim;
-#endif
 #endif
     };
@@ -231,12 +224,7 @@
     {
 #if NH_MV
-#if NH_MV_SEI
       Option(const std::string& name, T& storage, T default_val, const std::string& desc, bool duplicate = false, std::vector< int > maxdim = std::vector< int >(0) )
         : OptionBase(name, desc, duplicate, maxdim), opt_storage(storage), opt_default_val(default_val)
 #else
-      Option(const std::string& name, T& storage, T default_val, const std::string& desc, bool duplicate = false)
-        : OptionBase(name, desc, duplicate), opt_storage(storage), opt_default_val(default_val)
-#endif
-#else
       Option(const std::string& name, T& storage, T default_val, const std::string& desc)
       : OptionBase(name, desc), opt_storage(storage), opt_default_val(default_val)
@@ -244,5 +232,5 @@
       {}
 
-#if NH_MV_SEI
+#if NH_MV
       void parse(const std::string& arg, const std::vector<int>& idcs, ErrorReporter&);
 #else
@@ -262,5 +250,5 @@
     template<typename T>
     inline void
-#if NH_MV_SEI
+#if NH_MV
     Option<T>::parse(const std::string& arg, const std::vector<int>& idcs, ErrorReporter&)
 #else
@@ -268,5 +256,5 @@
 #endif
     {
-#if NH_MV_SEI
+#if NH_MV
       assert( idcs.size() == 0 ); 
 #endif
@@ -288,66 +276,31 @@
     template<>
     inline void
-#if NH_MV_SEI
+#if NH_MV
     Option<std::string>::parse(const std::string& arg, const std::vector<int>& idcs, ErrorReporter&)
-#else
-    Option<std::string>::parse(const std::string& arg, ErrorReporter&)
-#endif
-    {
-#if NH_MV_SEI
+    {
       assert( idcs.size() == 0 ); 
-#endif
       opt_storage = arg;
     }
+#else
+    Option<std::string>::parse(const std::string& arg, ErrorReporter&)
+    {
+      opt_storage = arg;
+    }
+#endif
 
 #if NH_MV    
     template<>
     inline void
-#if NH_MV_SEI
       Option<char*>::parse(const std::string& arg, const std::vector<int>& idcs, ErrorReporter&)
-#else
-      Option<char*>::parse(const std::string& arg, ErrorReporter&)
-#endif
-    {
-#if NH_MV_SEI
+    {
       assert( idcs.size() == 0 ); 
-#endif
       opt_storage = arg.empty() ? NULL : strdup(arg.c_str()) ;
     }
 
-#if !NH_MV_SEI
-
-    template<>
-    inline void
-      Option< std::vector<char*> >::parse(const std::string& arg, ErrorReporter&)
-    {
-      opt_storage.clear(); 
-
-      char* pcStart = (char*) arg.data();      
-      char* pcEnd = strtok (pcStart," ");
-
-      while (pcEnd != NULL)
-      {
-        size_t uiStringLength = pcEnd - pcStart;
-        char* pcNewStr = (char*) malloc( uiStringLength + 1 );
-        strncpy( pcNewStr, pcStart, uiStringLength); 
-        pcNewStr[uiStringLength] = '\0'; 
-        pcStart = pcEnd+1; 
-        pcEnd = strtok (NULL, " ,.-");
-        opt_storage.push_back( pcNewStr ); 
-      }      
-    }
-#endif
-
     template<>    
     inline void
-#if NH_MV_SEI
       Option< std::vector<double> >::parse(const std::string& arg, const std::vector< int > & idcs, ErrorReporter&)
-#else
-      Option< std::vector<double> >::parse(const std::string& arg, ErrorReporter&)
-#endif
-    {
-#if NH_MV_SEI
+    {
       assert( idcs.size() == 0 ); 
-#endif
       char* pcNextStart = (char*) arg.data();
       char* pcEnd = pcNextStart + arg.length();
@@ -383,5 +336,4 @@
 
 
-#if NH_MV_SEI
     template<>
     inline void
@@ -404,5 +356,5 @@
       xParseVec ( arg, opt_storage[ idcs[0] ][ idcs[1] ] );
     };
-#if SEI_DRI_F0169
+
     template<>
     inline void
@@ -438,50 +390,7 @@
             while( (pcNextStart < pcEnd) && ( *pcNextStart == ' ' || *pcNextStart == '\t' || *pcNextStart == '\r' ) ) pcNextStart++;  
             pcOldStart = pcNextStart; 
-
-        }       
-
-
+        }
     }
-#endif
-#else
-    template<>
-    inline void
-      Option< std::vector<int> >::parse(const std::string& arg, ErrorReporter&)
-    {
-      opt_storage.clear();
-
-
-      char* pcNextStart = (char*) arg.data();
-      char* pcEnd = pcNextStart + arg.length();
-
-      char* pcOldStart = 0; 
-
-      size_t iIdx = 0; 
-
-
-      while (pcNextStart < pcEnd)
-      {
-
-        if ( iIdx < opt_storage.size() )
-        {
-          opt_storage[iIdx] = (int) strtol(pcNextStart, &pcNextStart,10);
-        }
-        else
-        {
-          opt_storage.push_back( (int) strtol(pcNextStart, &pcNextStart,10)) ;
-        }
-        iIdx++; 
-        if ( errno == ERANGE || (pcNextStart == pcOldStart) )
-        {
-          std::cerr << "Error Parsing Integers: `" << arg << "'" << std::endl;
-          exit(EXIT_FAILURE);
-        };   
-        while( (pcNextStart < pcEnd) && ( *pcNextStart == ' ' || *pcNextStart == '\t' || *pcNextStart == '\r' ) ) pcNextStart++;  
-        pcOldStart = pcNextStart;
-      }
-    }
-#endif
-
-#if NH_MV_SEI
+
 
     template<>
@@ -530,38 +439,4 @@
       xParseVec( arg, opt_storage[idcs[0]][idcs[1]] );
     };
-#else
-    template<>
-    inline void
-      Option< std::vector<bool> >::parse(const std::string& arg, ErrorReporter&)
-    {
-      char* pcNextStart = (char*) arg.data();
-      char* pcEnd = pcNextStart + arg.length();
-
-      char* pcOldStart = 0; 
-
-      size_t iIdx = 0; 
-
-      while (pcNextStart < pcEnd)
-      {
-        if ( iIdx < opt_storage.size() )
-        {
-          opt_storage[iIdx] = (strtol(pcNextStart, &pcNextStart,10) != 0);
-        }
-        else
-        {
-          opt_storage.push_back(strtol(pcNextStart, &pcNextStart,10) != 0) ;
-        }
-        iIdx++; 
-
-        if ( errno == ERANGE || (pcNextStart == pcOldStart) )
-        {
-          std::cerr << "Error Parsing Bools: `" << arg << "'" << std::endl;
-          exit(EXIT_FAILURE);
-        };   
-        while( (pcNextStart < pcEnd) && ( *pcNextStart == ' ' || *pcNextStart == '\t' || *pcNextStart == '\r' ) ) pcNextStart++;  
-        pcOldStart = pcNextStart;
-      }
-    }
-#endif
 #endif
     /** Option class for argument handling using a user provided function */
@@ -574,5 +449,5 @@
       {}
 
-#if NH_MV_SEI
+#if NH_MV
       void parse(const std::string& arg, const std::vector<int>& idcs, ErrorReporter& error_reporter)
 #else
@@ -650,5 +525,4 @@
         operator()(const std::string& name, std::vector<T>& storage, T default_val, unsigned uiMaxNum, const std::string& desc = "" )
       {
-#if NH_MV_SEI
         std::vector<T> defVal;
         defVal.resize( uiMaxNum, default_val ); 
@@ -678,33 +552,4 @@
         return *this;
       }
-#else
-        std::string cNameBuffer;
-        std::string cDescBuffer;
-
-        storage.resize(uiMaxNum);
-        for ( unsigned int uiK = 0; uiK < uiMaxNum; uiK++ )
-        {
-          cNameBuffer       .resize( name.size() + 10 );
-          cDescBuffer.resize( desc.size() + 10 );
-
-          Bool duplicate = (uiK != 0); 
-          // isn't there are sprintf function for string??
-          sprintf((char*) cNameBuffer.c_str()       ,name.c_str(),uiK,uiK);
-
-          if ( !duplicate )
-          {          
-            sprintf((char*) cDescBuffer.c_str(),desc.c_str(),uiK,uiK);
-          }
-
-          cNameBuffer.resize( std::strlen(cNameBuffer.c_str()) );  
-          cDescBuffer.resize( std::strlen(cDescBuffer.c_str()) ); 
-          
-
-          parent.addOption(new Option<T>( cNameBuffer, (storage[uiK]), default_val, cDescBuffer, duplicate ));
-        }
-
-        return *this;
-      }
-#endif
 #endif
       /**
Index: /branches/HTM-15.2-dev/source/Lib/TLibCommon/CommonDef.h
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibCommon/CommonDef.h	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibCommon/CommonDef.h	(revision 1374)
@@ -171,7 +171,5 @@
 #if NH_MV
 static const Int MAX_NUM_LAYER_IDS =                               63;
-#if NH_MV_SEI
 static const Int MAX_NUM_SEIS      =                               1000;
-#endif
 #else
 static const Int MAX_NUM_LAYER_IDS =                               64;
@@ -281,10 +279,8 @@
 static const Int  MAX_NUM_PICS_RPS          =                     16 ; 
 static const Int  MAX_NUM_REF_LAYERS        =                     63 ;  
-#if NH_MV_SEI
+
 static IntAry1d getRangeVec( Int rngStart, Int rngEnd ) { IntAry1d rng; for (Int i = rngStart; i<=rngEnd; i++) rng.push_back(i);  return rng; };
 static const IntAry1d IDR_NAL_UNIT_TYPES   = getRangeVec( NAL_UNIT_CODED_SLICE_IDR_W_RADL, NAL_UNIT_CODED_SLICE_IDR_N_LP ); 
 static const IntAry1d IRAP_NAL_UNIT_TYPES  = getRangeVec( NAL_UNIT_CODED_SLICE_BLA_W_LP  , NAL_UNIT_CODED_SLICE_CRA      ); 
-
-#endif
 #endif
 
Index: /branches/HTM-15.2-dev/source/Lib/TLibCommon/SEI.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibCommon/SEI.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibCommon/SEI.cpp	(revision 1374)
@@ -38,5 +38,5 @@
 #include "CommonDef.h"
 #include "SEI.h"
-#if NH_MV_SEI
+#if NH_MV
 #include "TComSlice.h"
 #endif
@@ -178,5 +178,5 @@
 }
 
-#if NH_MV_SEI
+#if NH_MV
 SEI::SEI()
 {
@@ -224,8 +224,5 @@
     case SEI::CHROMA_SAMPLING_FILTER_HINT:          return new SEIChromaSamplingFilterHint
 #endif
-#if NH_MV_SEI
-#if NH_MV_LAYERS_NOT_PRESENT_SEI
   case SEI::LAYERS_NOT_PRESENT                    :               return new SEILayersNotPresent;
-#endif
   case SEI::INTER_LAYER_CONSTRAINED_TILE_SETS     :               return new SEIInterLayerConstrainedTileSets;
 #if NH_MV_SEI_TBD
@@ -241,7 +238,5 @@
 #endif
   case SEI::THREE_DIMENSIONAL_REFERENCE_DISPLAYS_INFO:            return new SEIThreeDimensionalReferenceDisplaysInfo;
-#if SEI_DRI_F0169
   case SEI::DEPTH_REPRESENTATION_INFO             :               return new SEIDepthRepresentationInfo;
-#endif
   case SEI::MULTIVIEW_SCENE_INFO                  :               return new SEIMultiviewSceneInfo;
   case SEI::MULTIVIEW_ACQUISITION_INFO            :               return new SEIMultiviewAcquisitionInfo;
@@ -249,5 +244,4 @@
 #if NH_3D
   case SEI::ALTERNATIVE_DEPTH_INFO                :               return new SEIAlternativeDepthInfo;
-#endif
 #endif
   default:                                        assert( false ); return NULL;
@@ -340,6 +334,4 @@
 }
 
-
-#if NH_MV_LAYERS_NOT_PRESENT_SEI
 Void SEILayersNotPresent::setupFromCfgFile(const TChar* cfgFile)
 {
@@ -399,5 +391,5 @@
       return wrongConfig;
   };
-#endif
+
 
 
@@ -1019,5 +1011,4 @@
 };
 
-#if SEI_DRI_F0169
 Void SEIDepthRepresentationInfo::setupFromSlice  ( const TComSlice* slice )
 {
@@ -1196,5 +1187,5 @@
     return wrongConfig;
 }
-#endif
+
 
 Void SEIMultiviewSceneInfo::setupFromCfgFile(const TChar* cfgFile)
Index: /branches/HTM-15.2-dev/source/Lib/TLibCommon/SEI.h
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibCommon/SEI.h	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibCommon/SEI.h	(revision 1374)
@@ -44,5 +44,5 @@
 
 
-#if NH_MV_SEI
+#if NH_MV
 #include "TAppCommon/program_options_lite.h"
 using namespace std;
@@ -53,5 +53,5 @@
 //! \{
 class TComSPS;
-#if NH_MV_SEI
+#if NH_MV
 class TComSlice;
 class SEIScalableNesting;
@@ -97,5 +97,4 @@
     KNEE_FUNCTION_INFO                   = 141,
     COLOUR_REMAPPING_INFO                = 142,
-#if NH_MV_SEI
     DEINTERLACED_FIELD_IDENTIFICATION         = 143,
     LAYERS_NOT_PRESENT                        = 160,
@@ -116,5 +115,4 @@
     ,ALTERNATIVE_DEPTH_INFO                    = 181
 #endif
-#endif
 
   };
@@ -133,5 +131,5 @@
   virtual PayloadType payloadType() const = 0;
 
-#if NH_MV_SEI
+#if NH_MV
   virtual SEI*       getCopy( ) const;
   static SEI*        getNewSEIMessage         ( SEI::PayloadType payloadType );
@@ -551,25 +549,4 @@
 };
 
-#if NH_MV
-#if !NH_MV_SEI
-class SEISubBitstreamProperty : public SEI
-{
-public:
-  PayloadType payloadType() const { return SUB_BITSTREAM_PROPERTY; }
-
-  SEISubBitstreamProperty():   m_activeVpsId(-1), m_numAdditionalSubStreams(0) {}
-  virtual ~SEISubBitstreamProperty() {}
-
-  Int  m_activeVpsId;
-  Int  m_numAdditionalSubStreams;
-  std::vector<Int>  m_subBitstreamMode;
-  std::vector<Int>  m_outputLayerSetIdxToVps;
-  std::vector<Int>  m_highestSublayerId;
-  std::vector<Int>  m_avgBitRate;
-  std::vector<Int>  m_maxBitRate;
-};
-#endif
-#endif
-
 typedef std::list<SEI*> SEIMessages;
 
@@ -678,6 +655,5 @@
 
 };
-#if NH_MV_SEI
-#if NH_MV_LAYERS_NOT_PRESENT_SEI
+#if NH_MV
 class SEILayersNotPresent : public SEI
 {
@@ -700,5 +676,4 @@
   }
 };
-#endif
 
 class SEIInterLayerConstrainedTileSets : public SEI
@@ -943,5 +918,4 @@
 };
 
-#if SEI_DRI_F0169
 class SEIDepthRepresentationInfo : public SEI
 {
@@ -1012,5 +986,5 @@
         IntAry2d       m_depth_nonlinear_representation_model;
 };
-#endif
+
 
 class SEIMultiviewSceneInfo : public SEI
Index: /branches/HTM-15.2-dev/source/Lib/TLibCommon/TComBitStream.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibCommon/TComBitStream.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibCommon/TComBitStream.cpp	(revision 1374)
@@ -260,5 +260,5 @@
   m_numBitsRead += uiNumberOfBits;
 
-#if ENC_DEC_TRACE && H_MV_ENC_DEC_TRAC
+#if ENC_DEC_TRACE && NH_MV_ENC_DEC_TRAC
   if ( g_traceBitsRead )
   {
Index: /branches/HTM-15.2-dev/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibCommon/TComDataCU.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibCommon/TComDataCU.cpp	(revision 1374)
@@ -3097,5 +3097,5 @@
 
 
-#if ENC_DEC_TRACE && H_MV_ENC_DEC_TRAC
+#if ENC_DEC_TRACE && NH_MV_ENC_DEC_TRAC
   if ( g_traceMergeCandListConst ) 
   {
@@ -3176,5 +3176,5 @@
   }
 
-#if ENC_DEC_TRACE && H_MV_ENC_DEC_TRAC
+#if ENC_DEC_TRACE && NH_MV_ENC_DEC_TRAC
   if ( g_traceMergeCandListConst )
   {
@@ -5070,5 +5070,5 @@
 #if NH_3D_NBDV_REF
         TComPic* picDepth = NULL;   
-#if H_3D_FCO_VSP_DONBDV_E0163
+#if H_3D_FCO
         picDepth  = getSlice()->getIvPic(true, getSlice()->getViewIndex() );
         if ( picDepth->getPicYuvRec() != NULL  )  
@@ -5136,5 +5136,5 @@
           pDInfo->m_aVIdxCan = cIDVInfo.m_aVIdxCan[iList][ curPos ];
 #if NH_3D_NBDV_REF
-#if H_3D_FCO_VSP_DONBDV_E0163
+#if H_3D_FCO
           TComPic* picDepth  = NULL;
 
@@ -5175,5 +5175,5 @@
 #if NH_3D_NBDV_REF
     TComPic* picDepth = NULL;
-#if H_3D_FCO_VSP_DONBDV_E0163
+#if H_3D_FCO
     picDepth  = getSlice()->getIvPic(true, getSlice()->getViewIndex() );
     if ( picDepth->getPicYuvRec() != NULL )  
@@ -5269,5 +5269,5 @@
           TComPic* picDepth = NULL;
           assert(getSlice()->getRefPic(eRefPicList, refId)->getPOC() == getSlice()->getPOC());            
-#if H_3D_FCO_VSP_DONBDV_E0163
+#if H_3D_FCO
           picDepth  = getSlice()->getIvPic(true, getSlice()->getViewIndex() );
           if ( picDepth->getPicYuvRec() != NULL )  
@@ -5403,11 +5403,7 @@
     }
 
-#if NH_3D_FIX_NBDV_COL
     // The picture pColCU->getSlice()->getRefPic(eColRefPicList, iColRefIdx) might not be in DPB anymore
     // So don't access it directly.
     iColRefViewIdx = pColCU->getSlice()->getVPS()->getViewOrderIdx( pColCU->getSlice()->getRefLayerId( eColRefPicList, iColRefIdx ) );       
-#else
-    iColRefViewIdx = pColCU->getSlice()->getRefPic(eColRefPicList, iColRefIdx)->getViewIndex();
-#endif
 
 
@@ -6002,5 +5998,5 @@
   Int depthRefViewIdx = pcCU->getDvInfo(partAddr).m_aVIdxCan;
   
-#if H_3D_FCO_VSP_DONBDV_E0163
+#if H_3D_FCO
   TComPic* pRefPicBaseDepth = 0;
   Bool     bIsCurrDepthCoded = false;
@@ -6037,5 +6033,5 @@
   pcCU->clipMv(cDv);
 
-#if H_3D_FCO_VSP_DONBDV_E0163
+#if H_3D_FCO
   if ( bIsCurrDepthCoded )
   {
Index: /branches/HTM-15.2-dev/source/Lib/TLibCommon/TComPic.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibCommon/TComPic.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibCommon/TComPic.cpp	(revision 1374)
@@ -449,11 +449,7 @@
           m_abTIVRINCurrRL[curCandPic][iColRefDir][iColRefIdx] = false;
           Int iColViewIdx    = pcCandColSlice->getViewIndex();
-#if H_3D_FIX_ARP_CHECK_NOT_IN_DPB
           // The picture pcCandColSlice->getRefPic((RefPicList)iColRefDir, iColRefIdx) might not be in DPB anymore
           // So don't access it directly.
           Int iColRefViewIdx = pcCandColSlice->getVPS()->getViewOrderIdx( pcCandColSlice->getRefLayerId( (RefPicList)iColRefDir, iColRefIdx ) );       
-#else
-          Int iColRefViewIdx = pcCandColSlice->getRefPic((RefPicList)iColRefDir, iColRefIdx)->getViewIndex();
-#endif
           if(iColViewIdx == iColRefViewIdx)
           {
Index: /branches/HTM-15.2-dev/source/Lib/TLibCommon/TComPrediction.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibCommon/TComPrediction.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibCommon/TComPrediction.cpp	(revision 1374)
@@ -562,5 +562,4 @@
       Int RefPOCL0 = pcCU->getSlice()->getRefPic(REF_PIC_LIST_0, pcCU->getCUMvField(REF_PIC_LIST_0)->getRefIdx(PartAddr))->getPOC();
       Int RefPOCL1 = pcCU->getSlice()->getRefPic(REF_PIC_LIST_1, pcCU->getCUMvField(REF_PIC_LIST_1)->getRefIdx(PartAddr))->getPOC();
-#if NH_MV_FIX_TICKET_106
 #if NH_MV
       Int layerIdL0 = pcCU->getSlice()->getRefPic(REF_PIC_LIST_0, pcCU->getCUMvField(REF_PIC_LIST_0)->getRefIdx(PartAddr))->getLayerId();
@@ -573,11 +572,4 @@
 #else
       if(RefPOCL0 == RefPOCL1 && pcCU->getCUMvField(REF_PIC_LIST_0)->getMv(PartAddr) == pcCU->getCUMvField(REF_PIC_LIST_1)->getMv(PartAddr))
-#endif
-#else
-#if NH_3D_ARP
-      if(!pcCU->getARPW(PartAddr) && RefPOCL0 == RefPOCL1 && pcCU->getCUMvField(REF_PIC_LIST_0)->getMv(PartAddr) == pcCU->getCUMvField(REF_PIC_LIST_1)->getMv(PartAddr))
-#else
-      if(RefPOCL0 == RefPOCL1 && pcCU->getCUMvField(REF_PIC_LIST_0)->getMv(PartAddr) == pcCU->getCUMvField(REF_PIC_LIST_1)->getMv(PartAddr))
-#endif
 #endif
       {
@@ -1314,5 +1306,5 @@
   pcCU->clipMv(cMv);
 
-#if ENC_DEC_TRACE && H_MV_ENC_DEC_TRAC
+#if ENC_DEC_TRACE && NH_MV_ENC_DEC_TRAC
   if ( g_traceMotionInfoBeforUniPred  )
   {
Index: /branches/HTM-15.2-dev/source/Lib/TLibCommon/TComRom.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibCommon/TComRom.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibCommon/TComRom.cpp	(revision 1374)
@@ -221,5 +221,5 @@
   }
 #if NH_MV
-#if H_MV_HLS_PTL_LIMITS 
+#if NH_MV_HLS_PTL_LIMITS 
  g_generalTierAndLevelLimits[ Level::LEVEL1   ] = TComGeneralTierAndLevelLimits(    36864,     350,  MIN_INT,   16,   1,   1 );
  g_generalTierAndLevelLimits[ Level::LEVEL2   ] = TComGeneralTierAndLevelLimits(   122880,    1500,  MIN_INT,   16,   1,   1 );
@@ -540,5 +540,5 @@
 Bool   g_bJustDoIt = false;
 UInt64 g_nSymbolCounter = 0;
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
 Bool g_traceCU = false; 
 Bool g_tracePU = false; 
@@ -671,5 +671,5 @@
 const UInt g_scalingListSize   [SCALING_LIST_SIZE_NUM] = {16,64,256,1024};
 const UInt g_scalingListSizeX  [SCALING_LIST_SIZE_NUM] = { 4, 8, 16,  32};
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
 #if ENC_DEC_TRACE
 Void tracePSHeader( const TChar* psName, Int layerId )
Index: /branches/HTM-15.2-dev/source/Lib/TLibCommon/TComRom.h
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibCommon/TComRom.h	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibCommon/TComRom.h	(revision 1374)
@@ -112,5 +112,5 @@
 // ====================================================================================================================
 extern const TMatrixCoeff g_as_DST_MAT_4 [TRANSFORM_NUMBER_OF_DIRECTIONS][4][4];
-#if H_MV_HLS_PTL_LIMITS
+#if NH_MV_HLS_PTL_LIMITS
 class TComGeneralTierAndLevelLimits
 {
@@ -172,5 +172,5 @@
 #define DTRACE_CABAC_R( x,y ) if ( ( g_nSymbolCounter >= COUNTER_START && g_nSymbolCounter <= COUNTER_END )|| g_bJustDoIt ) fprintf( g_hTrace, x,    y );
 #define DTRACE_CABAC_N        if ( ( g_nSymbolCounter >= COUNTER_START && g_nSymbolCounter <= COUNTER_END )|| g_bJustDoIt ) fprintf( g_hTrace, "\n"    );
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
  extern Bool   g_traceCU; 
  extern Bool   g_tracePU ; 
Index: /branches/HTM-15.2-dev/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1374)
@@ -3672,5 +3672,5 @@
     }
     tempRefPicInListsFlag = (getFirstTRefIdx(REF_PIC_LIST_0) >= 0 || getFirstTRefIdx(REF_PIC_LIST_1) >= 0) && getDefaultRefViewIdxAvailableFlag();
-    m_nARPStepNum = tempRefPicInListsFlag ?  H_3D_ARP_WFNR : 0;
+    m_nARPStepNum = tempRefPicInListsFlag ? 3 : 0;
   }
 
@@ -3935,5 +3935,5 @@
   {
     Int iInVoi = vps->getVoiInVps( i ); 
-#if ENC_DEC_TRACE && H_MV_ENC_DEC_TRAC
+#if ENC_DEC_TRACE && NH_MV_ENC_DEC_TRAC
     if ( g_traceCameraParameters )
     {
@@ -4335,5 +4335,5 @@
 
 
-#if H_3D_OUTPUT_ACTIVE_TOOLS
+#if NH_3D_OUTPUT_ACTIVE_TOOLS
   std::cout << "Layer:                  :" << getLayerId()             << std::endl;
   std::cout << "DepthFlag:              :" << getIsDepth()             << std::endl;
Index: /branches/HTM-15.2-dev/source/Lib/TLibCommon/TComYuv.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibCommon/TComYuv.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibCommon/TComYuv.cpp	(revision 1374)
@@ -124,5 +124,5 @@
   {
     ::memcpy( pDst, pSrc, sizeof(Pel)*iWidth);
-#if ENC_DEC_TRACE && H_MV_ENC_DEC_TRAC
+#if ENC_DEC_TRACE && NH_MV_ENC_DEC_TRAC
     if ( g_traceCopyBack && compID == COMPONENT_Y)
     { 
Index: /branches/HTM-15.2-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1374)
@@ -64,19 +64,13 @@
 /////////////////////////////////////////////////////////////////////////////////////////
 #if NH_MV
-#define H_MV_HLS_PTL_LIMITS                       0
-#define NH_MV_SEI_TBD                             0
-#define NH_MV_SEI                                 1
-#define NH_MV_FIX_TICKET_106                      1 // Identical motion check.
+
+// Things that needs to be fixed in the Specification: 
 #define NH_MV_FIX_NO_REF_PICS_CHECK               1 // !!SPEC!!
 #define NH_MV_FIX_INIT_NUM_ACTIVE_REF_LAYER_PICS  1 // Derivation of NumActiveRefLayerPIcs. !!SPEC!!
 #define NH_MV_FIX_NUM_POC_TOTAL_CUR               1 // Derivation of NumPocTotalCur for IDR pictures. !!SPEC!!
-#define NH_MV_LAYERS_NOT_PRESENT_SEI              1 // Layers not present SEI message JCTMV-M0043
-#if NH_MV_SEI
-#define SEI_DRI_F0169 1
-#endif
-#endif
-#if NH_3D
-#define H_3D_FIX_ARP_CHECK_NOT_IN_DPB     1
-#define NH_3D_FIX_NBDV_COL                1
+
+// To be done 
+#define NH_MV_HLS_PTL_LIMITS                       0
+#define NH_MV_SEI_TBD                             0
 #endif
 /////////////////////////////////////////////////////////////////////////////////////////
@@ -84,5 +78,5 @@
 /////////////////////////////////////////////////////////////////////////////////////////
 #if NH_MV
-#define H_MV_ENC_DEC_TRAC                 1  //< CU/PU level tracking
+#define NH_MV_ENC_DEC_TRAC                 1  //< CU/PU level tracking
 #if NH_3D
 #define NH_3D_INTEGER_MV_DEPTH            1
@@ -277,22 +271,37 @@
                                               // MTK_FAST_TEXTURE_ENCODING_E0173
 //HLS
-                                             // HHI_DEPENDENCY_SIGNALLING_I1_J0107
-                                             // HHI_TOOL_PARAMETERS_I2_J0107
-                                             // HHI_VPS_3D_EXTENSION_I3_J0107
-                                             // HHI_INTER_COMP_PRED_K0052
-                                             // HHI_RES_PRED_K0052
-                                             // HHI_CAM_PARA_K0052
-                                             // H_3D_DIRECT_DEP_TYPE
+                                              // HHI_DEPENDENCY_SIGNALLING_I1_J0107
+                                              // HHI_TOOL_PARAMETERS_I2_J0107
+                                              // HHI_VPS_3D_EXTENSION_I3_J0107
+                                              // HHI_INTER_COMP_PRED_K0052
+                                              // HHI_RES_PRED_K0052
+                                              // HHI_CAM_PARA_K0052
+                                              // H_3D_DIRECT_DEP_TYPE
+
+#endif // NH_3D
+
+#if NH_MV
+////////////////////////
+/// Consider Removal 
+////////////////////////
+
 // Rate Control
 #define KWU_FIX_URQ                       0
 #define KWU_RC_VIEWRC_E0227               0  ///< JCT3V-E0227, view-wise target bitrate allocation
 #define KWU_RC_MADPRED_E0227              0  ///< JCT3V-E0227, inter-view MAD prediction
-#endif // NH_3D
+
+#define NH_MV_HLS_PTL_LIMITS               0
+
+#if NH_3D
+// Unclear Fix
+#define H_3D_PPS_FIX_DEPTH                     0
+#endif
+#endif
 /////////////////////////////////////////////////////////////////////////////////////////
 ///////////////////////////////////   DERIVED DEFINES ///////////////////////////////////
 /////////////////////////////////////////////////////////////////////////////////////////
 #if NH_3D
-#define H_3D_OUTPUT_ACTIVE_TOOLS               0
-#define H_3D_REN_MAX_DEV_OUT                   0
+#define NH_3D_OUTPUT_ACTIVE_TOOLS               0
+#define NH_3D_REN_MAX_DEV_OUT                   0
 #endif
 ///// ***** VIEW SYNTHESIS OPTIMIZAION *********
@@ -309,8 +318,4 @@
 #define DVFROM_ABOVE                      1
 #define IDV_CANDS                         2
-#endif
-///// ***** ADVANCED INTERVIEW RESIDUAL PREDICTION *********
-#if NH_3D_ARP
-#define H_3D_ARP_WFNR                     3
 #endif
 /////////////////////////////////////////////////////////////////////////////////////
@@ -327,20 +332,6 @@
 #if NH_3D_DBBP
 #define DBBP_INVALID_SHORT                (-4)
-#define DBBP_PACK_MODE               SIZE_2NxN
-#endif
-///// ***** FCO *********
-#if H_3D_FCO
-#define H_3D_FCO_VSP_DONBDV_E0163               1   // Adaptive depth reference for flexible coding order
-#else
-#define H_3D_FCO_VSP_DONBDV_E0163               0   // Adaptive depth reference for flexible coding order
-#endif
-#if H_3D
-#define PPS_FIX_DEPTH                           1
-#endif
-/////////////////////////////////////////////////////////////////////////////////
-///////////////////////////////////   MV_HEVC HLS  //////////////////////////////
-/////////////////////////////////////////////////////////////////////////////////
-// TBD: Check if integration is necessary.
-#define H_MV_HLS_PTL_LIMITS                  0
+#endif
+
 /////////////////////////////////////////////////////////////////////////////////////////
 ///////////////////////////////////   HM RELATED DEFINES ////////////////////////////////
@@ -497,6 +488,5 @@
 typedef std::vector< std::string > StringAry1d;
 typedef std::vector< StringAry1d > StringAry2d;
-typedef std::vector< std::string > StringAry1d; 
-typedef std::vector< StringAry1d > StringAry2d; 
+
 typedef std::vector< Int >        IntAry1d;
 typedef std::vector< IntAry1d >   IntAry2d;
@@ -504,4 +494,5 @@
 typedef std::vector< IntAry3d >   IntAry4d;
 typedef std::vector< IntAry4d >   IntAry5d;
+
 typedef std::vector< Bool >        BoolAry1d;
 typedef std::vector< BoolAry1d >   BoolAry2d;
Index: /branches/HTM-15.2-dev/source/Lib/TLibDecoder/SEIread.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibDecoder/SEIread.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibDecoder/SEIread.cpp	(revision 1374)
@@ -99,5 +99,5 @@
 }
 
-#if NH_MV_SEI
+#if NH_MV
 Void SEIReader::sei_read_string(std::ostream *pOS, UInt uiBufSize, UChar* pucCode, UInt& ruiLength, const TChar *pSymbolName)
 {
@@ -117,5 +117,5 @@
     std::string seiMessageHdr(SEI::getSEIMessageString(sei.payloadType())); seiMessageHdr+=" SEI message";
     (*pDecodedMessageOutputStream) << std::setfill('-') << std::setw(seiMessageHdr.size()) << "-" << std::setfill(' ') << "\n" << seiMessageHdr << " (" << payloadSize << " bytes)"<< "\n";
-#if NH_MV_SEI
+#if NH_MV
     (*pDecodedMessageOutputStream) << std::setfill(' ') << "LayerId: " << m_layerId << std::setw(2) << " Picture: " << m_decOrder << std::setw( 5 ) << std::endl;
 #endif
@@ -132,5 +132,5 @@
  * unmarshal a single SEI message from bitstream bs
  */
-#if NH_MV_LAYERS_NOT_PRESENT_SEI
+#if NH_MV
 Void SEIReader::parseSEImessage(TComInputBitstream* bs, SEIMessages& seis, const NalUnitType nalUnitType, const TComVPS *vps, const TComSPS *sps, std::ostream *pDecodedMessageOutputStream)
 #else
@@ -143,5 +143,5 @@
   do
   {
-#if NH_MV_LAYERS_NOT_PRESENT_SEI
+#if NH_MV
     xReadSEImessage(seis, nalUnitType, vps, sps, pDecodedMessageOutputStream);
 #else
@@ -157,5 +157,5 @@
 }
 
-#if NH_MV_LAYERS_NOT_PRESENT_SEI
+#if NH_MV
 Void SEIReader::xReadSEImessage(SEIMessages& seis, const NalUnitType nalUnitType, const TComVPS *vps, const TComSPS *sps, std::ostream *pDecodedMessageOutputStream)
 #else
@@ -280,5 +280,5 @@
     case SEI::SCALABLE_NESTING:
       sei = new SEIScalableNesting;
-#if NH_MV_LAYERS_NOT_PRESENT_SEI
+#if NH_MV
       xParseSEIScalableNesting((SEIScalableNesting&) *sei, nalUnitType, payloadSize, vps, sps, pDecodedMessageOutputStream);
 #else
@@ -312,11 +312,4 @@
       break;
 #if NH_MV
-#if !NH_MV_SEI
-    case SEI::SUB_BITSTREAM_PROPERTY:
-      sei = new SEISubBitstreamProperty;
-      xParseSEISubBitstreamProperty((SEISubBitstreamProperty&) *sei, payloadSize, pDecodedMessageOutputStream );
-      break;
-#else
-#if NH_MV_LAYERS_NOT_PRESENT_SEI
     case SEI::LAYERS_NOT_PRESENT:
       if (!vps)
@@ -330,5 +323,4 @@
       }
       break;
-#endif
     case SEI::INTER_LAYER_CONSTRAINED_TILE_SETS:
       sei = new SEIInterLayerConstrainedTileSets;
@@ -371,10 +363,8 @@
       xParseSEIThreeDimensionalReferenceDisplaysInfo((SEIThreeDimensionalReferenceDisplaysInfo&) *sei, payloadSize, pDecodedMessageOutputStream );
       break;
-#if SEI_DRI_F0169
     case SEI::DEPTH_REPRESENTATION_INFO:
         sei = new SEIDepthRepresentationInfo;
         xParseSEIDepthRepresentationInfo((SEIDepthRepresentationInfo&) *sei, payloadSize, pDecodedMessageOutputStream );
         break;
-#endif
     case SEI::MULTIVIEW_SCENE_INFO:
       sei = new SEIMultiviewSceneInfo;
@@ -396,5 +386,4 @@
       xParseSEIAlternativeDepthInfo((SEIAlternativeDepthInfo&) *sei, payloadSize, pDecodedMessageOutputStream );
       break;
-#endif
 #endif
 #endif
@@ -921,5 +910,5 @@
 }
 
-#if NH_MV_LAYERS_NOT_PRESENT_SEI
+#if NH_MV
 Void SEIReader::xParseSEIScalableNesting(SEIScalableNesting& sei, const NalUnitType nalUnitType, UInt payloadSize, const TComVPS *vps, const TComSPS *sps, std::ostream *pDecodedMessageOutputStream)
 #else
@@ -967,5 +956,5 @@
   do
   {
-#if NH_MV_LAYERS_NOT_PRESENT_SEI
+#if NH_MV
     xReadSEImessage(sei.m_nestedSEIs, nalUnitType, vps, sps, pDecodedMessageOutputStream);
 #else
@@ -979,35 +968,4 @@
   }
 }
-
-#if NH_MV
-#if !NH_MV_SEI
-Void SEIReader::xParseSEISubBitstreamProperty(SEISubBitstreamProperty &sei, UInt payloadSize, std::ostream *pDecodedMessageOutputStream )
-{
-  UInt code;
-  output_sei_message_header(sei, pDecodedMessageOutputStream, payloadSize);
-  sei_read_code( pDecodedMessageOutputStream, 4, code, "active_vps_id" );                      sei.m_activeVpsId = code;
-  sei_read_uvlc( pDecodedMessageOutputStream, code, "num_additional_sub_streams_minus1" );     sei.m_numAdditionalSubStreams = code + 1;
-
-  xResizeSubBitstreamPropertySeiArrays(sei);
-  for( Int i = 0; i < sei.m_numAdditionalSubStreams; i++ )
-  {
-    sei_read_code( pDecodedMessageOutputStream,   2, code, "sub_bitstream_mode[i]"           ); sei.m_subBitstreamMode[i] = code;
-    sei_read_uvlc( pDecodedMessageOutputStream,  code, "output_layer_set_idx_to_vps[i]"      ); sei.m_outputLayerSetIdxToVps[i] = code;
-    sei_read_code( pDecodedMessageOutputStream,   3, code, "highest_sub_layer_id[i]"         ); sei.m_highestSublayerId[i] = code;
-    sei_read_code( pDecodedMessageOutputStream,  16, code, "avg_bit_rate[i]"                 ); sei.m_avgBitRate[i] = code;
-    sei_read_code( pDecodedMessageOutputStream,  16, code, "max_bit_rate[i]"                 ); sei.m_maxBitRate[i] = code;
-  }
-}
-
-Void SEIReader::xResizeSubBitstreamPropertySeiArrays(SEISubBitstreamProperty &sei)
-{
-  sei.m_subBitstreamMode.resize( sei.m_numAdditionalSubStreams );
-  sei.m_outputLayerSetIdxToVps.resize( sei.m_numAdditionalSubStreams );
-  sei.m_highestSublayerId.resize( sei.m_numAdditionalSubStreams );
-  sei.m_avgBitRate.resize( sei.m_numAdditionalSubStreams );
-  sei.m_maxBitRate.resize( sei.m_numAdditionalSubStreams );
-}
-#endif
-#endif
 
 
@@ -1315,5 +1273,4 @@
 }
 #if NH_MV
-#if NH_MV_LAYERS_NOT_PRESENT_SEI
 Void SEIReader::xParseSEILayersNotPresent(SEILayersNotPresent &sei, UInt payloadSize, const TComVPS *vps, std::ostream *pDecodedMessageOutputStream)
 {
@@ -1332,5 +1289,4 @@
   }
 };
-#endif
 
 Void SEIReader::xParseSEIInterLayerConstrainedTileSets(SEIInterLayerConstrainedTileSets& sei, UInt payloadSize, std::ostream *pDecodedMessageOutputStream)
@@ -1599,5 +1555,4 @@
 };
 
-#if SEI_DRI_F0169
 Void SEIReader::xParseSEIDepthRepInfoElement(double& f,std::ostream *pDecodedMessageOutputStream)
 {
@@ -1702,5 +1657,5 @@
     }
 }
-#endif
+
 Void SEIReader::xParseSEIMultiviewSceneInfo(SEIMultiviewSceneInfo& sei, UInt payloadSize, std::ostream *pDecodedMessageOutputStream)
 {
Index: /branches/HTM-15.2-dev/source/Lib/TLibDecoder/SEIread.h
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibDecoder/SEIread.h	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibDecoder/SEIread.h	(revision 1374)
@@ -56,15 +56,13 @@
   SEIReader() {};
   virtual ~SEIReader() {};
-#if NH_MV_LAYERS_NOT_PRESENT_SEI
-  Void parseSEImessage(TComInputBitstream* bs, SEIMessages& seis, const NalUnitType nalUnitType, const TComVPS *vps, const TComSPS *sps, std::ostream *pDecodedMessageOutputStream);
+#if NH_MV
+  Void setLayerId( Int   layerId ) { m_layerId = layerId; };
+  Void setDecOrder( Int64 decOrder ) { m_decOrder = decOrder; };
+  Void parseSEImessage( TComInputBitstream* bs, SEIMessages& seis, const NalUnitType nalUnitType, const TComVPS *vps, const TComSPS *sps, std::ostream *pDecodedMessageOutputStream );
 #else
   Void parseSEImessage(TComInputBitstream* bs, SEIMessages& seis, const NalUnitType nalUnitType, const TComSPS *sps, std::ostream *pDecodedMessageOutputStream);
 #endif
-#if NH_MV_SEI
-  Void setLayerId                            ( Int   layerId )   { m_layerId  = layerId; }; 
-  Void setDecOrder                           ( Int64 decOrder )  { m_decOrder = decOrder; }; 
-#endif
 protected:
-#if NH_MV_LAYERS_NOT_PRESENT_SEI
+#if NH_MV
   Void xReadSEImessage                        (SEIMessages& seis, const NalUnitType nalUnitType, const TComVPS *vps, const TComSPS *sps, std::ostream *pDecodedMessageOutputStream);
 #else
@@ -86,5 +84,5 @@
   Void xParseSEIToneMappingInfo               (SEIToneMappingInfo& sei,               UInt payloadSize,                     std::ostream *pDecodedMessageOutputStream);
   Void xParseSEISOPDescription                (SEISOPDescription &sei,                UInt payloadSize,                     std::ostream *pDecodedMessageOutputStream);
-#if NH_MV_LAYERS_NOT_PRESENT_SEI
+#if NH_MV
   Void xParseSEIScalableNesting               (SEIScalableNesting& sei, const NalUnitType nalUnitType, UInt payloadSize, const TComVPS *vps, const TComSPS *sps, std::ostream *pDecodedMessageOutputStream);
 #else
@@ -98,11 +96,5 @@
   Void xParseSEIColourRemappingInfo           (SEIColourRemappingInfo& sei,           UInt payloadSize,                     std::ostream *pDecodedMessageOutputStream);
 #if NH_MV
-#if !NH_MV_SEI
-  Void  xParseSEISubBitstreamProperty         (SEISubBitstreamProperty &sei        ,  UInt payloadSize,                     std::ostream *pDecodedMessageOutputStream);
-  Void  xResizeSubBitstreamPropertySeiArrays  (SEISubBitstreamProperty &sei);
-#endif
-#if NH_MV_LAYERS_NOT_PRESENT_SEI
   Void xParseSEILayersNotPresent              (SEILayersNotPresent &sei, UInt payloadSize, const TComVPS *vps ,std::ostream *pDecodedMessageOutputStream);
-#endif
   Void xParseSEIInterLayerConstrainedTileSets (SEIInterLayerConstrainedTileSets& sei, UInt payloadSize, std::ostream *pDecodedMessageOutputStream);
 #if NH_MV_SEI_TBD
@@ -118,15 +110,9 @@
 #endif
   Void xParseSEIThreeDimensionalReferenceDisplaysInfo (SEIThreeDimensionalReferenceDisplaysInfo& sei, UInt payloadSize, std::ostream *pDecodedMessageOutputStream);
-#if SEI_DRI_F0169
   Void xParseSEIDepthRepInfoElement           (double &f,std::ostream *pDecodedMessageOutputStream);
   Void xParseSEIDepthRepresentationInfo       (SEIDepthRepresentationInfo& sei, UInt payloadSize, std::ostream *pDecodedMessageOutputStream);
-#endif
   Void xParseSEIMultiviewSceneInfo            (SEIMultiviewSceneInfo& sei, UInt payloadSize, std::ostream *pDecodedMessageOutputStream);
-
   Void xParseSEIMultiviewAcquisitionInfo      (SEIMultiviewAcquisitionInfo& sei, UInt payloadSize, std::ostream *pDecodedMessageOutputStream);
-
-#if NH_MV_SEI
   Void xParseSEIMultiviewViewPosition         (SEIMultiviewViewPosition& sei, UInt payloadSize, std::ostream *pDecodedMessageOutputStream);
-#endif
 #if NH_3D
   Void xParseSEIAlternativeDepthInfo          (SEIAlternativeDepthInfo& sei, UInt payloadSize, std::ostream *pDecodedMessageOutputStream);
@@ -139,10 +125,8 @@
 #if NH_MV
   Void sei_read_string(std::ostream *pOS, UInt uiBufSize, UChar* pucCode, UInt& ruiLength, const TChar *pSymbolName);
-#if NH_MV_SEI
   inline Void output_sei_message_header(SEI &sei, std::ostream *pDecodedMessageOutputStream, UInt payloadSize);
 private: 
   Int   m_layerId; 
   Int64 m_decOrder;   
-#endif
 #endif
 };
Index: /branches/HTM-15.2-dev/source/Lib/TLibDecoder/SyntaxElementParser.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibDecoder/SyntaxElementParser.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibDecoder/SyntaxElementParser.cpp	(revision 1374)
@@ -56,5 +56,5 @@
   xReadCode (length, rValue);
 #endif
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
   if ( g_disableHLSTrace || !g_HLSTraceEnable )
   {
@@ -87,5 +87,5 @@
   xReadUvlc (rValue);
 #endif
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
   if ( g_disableHLSTrace || !g_HLSTraceEnable )
   {
@@ -111,5 +111,5 @@
   xReadSvlc (rValue);
 #endif
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
   if ( g_disableHLSTrace || !g_HLSTraceEnable )
   {
@@ -135,5 +135,5 @@
   xReadFlag (rValue);
 #endif
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
   if ( g_disableHLSTrace || !g_HLSTraceEnable )
   {
Index: /branches/HTM-15.2-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1374)
@@ -51,5 +51,5 @@
 
 #if ENC_DEC_TRACE
-#if !H_MV_ENC_DEC_TRAC
+#if !NH_MV_ENC_DEC_TRAC
 Void  xTraceVPSHeader ()
 {
@@ -234,5 +234,5 @@
 {
 #if ENC_DEC_TRACE
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
   tracePSHeader( "PPS", pcPPS->getLayerId() ); 
 #else
@@ -871,5 +871,5 @@
 {
 #if ENC_DEC_TRACE
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
   tracePSHeader( "SPS", pcSPS->getLayerId() ); 
 #else
@@ -1358,5 +1358,5 @@
 {
 #if ENC_DEC_TRACE
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
   tracePSHeader( "VPS", getDecTop()->getLayerId() ); 
 #else
Index: /branches/HTM-15.2-dev/source/Lib/TLibDecoder/TDecCu.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibDecoder/TDecCu.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibDecoder/TDecCu.cpp	(revision 1374)
@@ -213,5 +213,5 @@
   UInt uiTPelY   = pcCU->getCUPelY() + g_auiRasterToPelY[ g_auiZscanToRaster[uiAbsPartIdx] ];
   UInt uiBPelY   = uiTPelY + (maxCuHeight>>uiDepth) - 1;
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
   DTRACE_CU_S("=========== coding_quadtree ===========\n")
   DTRACE_CU("x0", uiLPelX)
@@ -270,7 +270,7 @@
   }
 
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
   DTRACE_CU_S("=========== coding_unit ===========\n")
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
 #if ENC_DEC_TRACE
     stopAtPos  ( pcCU->getSlice()->getPOC(), 
@@ -359,5 +359,5 @@
       }
 #endif
-#if ENC_DEC_TRACE && H_MV_ENC_DEC_TRAC   
+#if ENC_DEC_TRACE && NH_MV_ENC_DEC_TRAC   
       if ( g_decTraceDispDer )
       {
@@ -396,5 +396,5 @@
   if( pcCU->isSkipped(uiAbsPartIdx) )
   {
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
     DTRACE_PU_S("=========== prediction_unit ===========\n")
     DTRACE_PU("x0", uiLPelX)
@@ -493,5 +493,5 @@
         }
 #endif
-#if ENC_DEC_TRACE && H_MV_ENC_DEC_TRAC   
+#if ENC_DEC_TRACE && NH_MV_ENC_DEC_TRAC   
         if ( g_decTraceMvFromMerge )
         {        
@@ -531,5 +531,5 @@
         pcCU->getCUMvField( REF_PIC_LIST_1 )->setMvFieldSP(pcCU, uiSPAddr, pcMvFieldSP[2*iPartitionIdx + 1], iSPWidth, iSPHeight);
       }
-#if ENC_DEC_TRACE && H_MV_ENC_DEC_TRAC
+#if ENC_DEC_TRACE && NH_MV_ENC_DEC_TRAC
       if ( g_traceSubPBMotion )
       {
Index: /branches/HTM-15.2-dev/source/Lib/TLibDecoder/TDecEntropy.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibDecoder/TDecEntropy.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibDecoder/TDecEntropy.cpp	(revision 1374)
@@ -267,5 +267,5 @@
   for ( UInt uiPartIdx = 0, uiSubPartIdx = uiAbsPartIdx; uiPartIdx < uiNumPU; uiPartIdx++, uiSubPartIdx += uiPUOffset )
   {
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
     DTRACE_PU_S("=========== prediction_unit ===========\n")
     // ToDo: 
@@ -484,5 +484,5 @@
   for ( UInt uiPartIdx = 0, uiSubPartIdx = uiAbsPartIdx; uiPartIdx < uiNumPU; uiPartIdx++, uiSubPartIdx += uiPUOffset )
   {
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
     DTRACE_PU_S("=========== prediction_unit ===========\n")
     // ToDo: 
@@ -741,5 +741,5 @@
   {
     m_pcEntropyDecoderIf->parseMVPIdx( iMVPIdx );
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
 #if ENC_DEC_TRACE
     if ( eRefList == REF_PIC_LIST_0 )
@@ -798,5 +798,5 @@
   {
     m_pcEntropyDecoderIf->parseMVPIdx( iMVPIdx );
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
 #if ENC_DEC_TRACE
     if ( eRefList == REF_PIC_LIST_0 )
@@ -833,5 +833,5 @@
   const UInt uiTrDepth = rTu.GetTransformDepthRel();
 
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
 #if ENC_DEC_TRACE
   UInt uiLPelX   = pcCU->getCUPelX() + g_auiRasterToPelX[ g_auiZscanToRaster[uiAbsPartIdx] ];
@@ -940,5 +940,5 @@
     pcCU->setTrIdxSubParts( uiTrDepth, uiAbsPartIdx, uiDepth );
 
-#if !H_MV_ENC_DEC_TRAC
+#if !NH_MV_ENC_DEC_TRAC
     {
       DTRACE_CABAC_VL( g_nSymbolCounter++ );
Index: /branches/HTM-15.2-dev/source/Lib/TLibDecoder/TDecSbac.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 1374)
@@ -423,5 +423,5 @@
   m_pcTDecBinIf->decodeBinTrm(uiSymbol);
 
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
   DTRACE_CU("pcm_flag", uiSymbol)
 #endif
@@ -467,5 +467,5 @@
   UInt uiSymbol;
   m_pcTDecBinIf->decodeBin( uiSymbol, m_CUTransquantBypassFlagSCModel.get( 0, 0, 0 ) RExt__DECODER_DEBUG_BIT_STATISTICS_PASS_OPT_ARG(STATS__CABAC_BITS__TQ_BYPASS_FLAG) );
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
   DTRACE_CU("cu_transquant_bypass_flag", uiSymbol); 
 #endif
@@ -490,5 +490,5 @@
   UInt uiCtxSkip = pcCU->getCtxSkipFlag( uiAbsPartIdx );
   m_pcTDecBinIf->decodeBin( uiSymbol, m_cCUSkipFlagSCModel.get( 0, 0, uiCtxSkip ) RExt__DECODER_DEBUG_BIT_STATISTICS_PASS_OPT_ARG(STATS__CABAC_BITS__SKIP_FLAG) );
-#if !H_MV_ENC_DEC_TRAC
+#if !NH_MV_ENC_DEC_TRAC
   DTRACE_CABAC_VL( g_nSymbolCounter++ );
   DTRACE_CABAC_T( "\tSkipFlag" );
@@ -507,5 +507,5 @@
     pcCU->setMergeFlagSubParts( true , uiAbsPartIdx, 0, uiDepth );
   }
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
   DTRACE_CU("cu_skip_flag", uiSymbol); 
 #endif
@@ -570,9 +570,9 @@
   UInt uiSymbol;
   m_pcTDecBinIf->decodeBin( uiSymbol, *m_cCUMergeFlagExtSCModel.get( 0 ) RExt__DECODER_DEBUG_BIT_STATISTICS_PASS_OPT_ARG(STATS__CABAC_BITS__MERGE_FLAG) );
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
   DTRACE_PU("merge_flag", uiSymbol)
 #endif
   pcCU->setMergeFlagSubParts( uiSymbol ? true : false, uiAbsPartIdx, uiPUIdx, uiDepth );
-#if !H_MV_ENC_DEC_TRAC
+#if !NH_MV_ENC_DEC_TRAC
   DTRACE_CABAC_VL( g_nSymbolCounter++ );
   DTRACE_CABAC_T( "\tMergeFlag: " );
@@ -608,5 +608,5 @@
       }
     }
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
     DTRACE_PU("merge_idx", uiUnaryIdx)
 #endif
@@ -614,5 +614,5 @@
   ruiMergeIndex = uiUnaryIdx;
 
-#if !H_MV_ENC_DEC_TRAC
+#if !NH_MV_ENC_DEC_TRAC
   DTRACE_CABAC_VL( g_nSymbolCounter++ )
   DTRACE_CABAC_T( "\tparseMergeIndex()" )
@@ -666,5 +666,5 @@
 #endif
   m_pcTDecBinIf->decodeBin( uiSymbol, m_cCUSplitFlagSCModel.get( 0, 0, pcCU->getCtxSplitFlag( uiAbsPartIdx, uiDepth ) ) RExt__DECODER_DEBUG_BIT_STATISTICS_PASS_OPT_ARG(ctype) );
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
     DTRACE_CU("split_cu_flag", uiSymbol); 
 #else
@@ -748,5 +748,5 @@
     {
       m_pcTDecBinIf->decodeBin( uiSymbol, m_cCUPartSizeSCModel.get( 0, 0, 0) RExt__DECODER_DEBUG_BIT_STATISTICS_PASS_OPT_ARG(ctype) );
-#if H_MV_ENC_DEC_TRAC          
+#if NH_MV_ENC_DEC_TRAC          
         DTRACE_CU("part_mode", uiSymbol)
 #endif        
@@ -884,5 +884,5 @@
       }
 #endif
-#if H_MV_ENC_DEC_TRAC          
+#if NH_MV_ENC_DEC_TRAC          
       DTRACE_CU("part_mode", eMode )
 #endif
@@ -914,5 +914,5 @@
   m_pcTDecBinIf->decodeBin( uiSymbol, m_cCUPredModeSCModel.get( 0, 0, 0 ) RExt__DECODER_DEBUG_BIT_STATISTICS_PASS_OPT_ARG(STATS__CABAC_BITS__PRED_MODE) );
   iPredMode += uiSymbol;
-#if H_MV_ENC_DEC_TRAC          
+#if NH_MV_ENC_DEC_TRAC          
   DTRACE_CU("pred_mode_flag", uiSymbol)
 #endif        
@@ -948,5 +948,5 @@
     m_pcTDecBinIf->decodeBin( symbol, m_cCUIntraPredSCModel.get( 0, 0, 0) RExt__DECODER_DEBUG_BIT_STATISTICS_PASS_OPT_ARG(ctype) );
     mpmPred[j] = symbol;
-#if H_MV_ENC_DEC_TRAC          
+#if NH_MV_ENC_DEC_TRAC          
       DTRACE_CU("prev_intra_luma_pred_flag", symbol)
 #endif
@@ -971,5 +971,5 @@
         symbol++;
       }
-#if H_MV_ENC_DEC_TRAC          
+#if NH_MV_ENC_DEC_TRAC          
         DTRACE_CU("mpm_idx", symbol)
 #endif
@@ -980,5 +980,5 @@
       m_pcTDecBinIf->decodeBinsEP( symbol, 5 RExt__DECODER_DEBUG_BIT_STATISTICS_PASS_OPT_ARG(ctype) );
       intraPredMode = symbol;
-#if H_MV_ENC_DEC_TRAC          
+#if NH_MV_ENC_DEC_TRAC          
         DTRACE_CU("rem_intra_luma_pred_mode", symbol)
 #endif        
@@ -1020,5 +1020,5 @@
   if( uiSymbol == 0 )
   {
-#if H_MV_ENC_DEC_TRAC          
+#if NH_MV_ENC_DEC_TRAC          
     DTRACE_CU("intra_chroma_pred_mode", uiSymbol )
 #endif        
@@ -1029,5 +1029,5 @@
     UInt uiIPredMode;
     m_pcTDecBinIf->decodeBinsEP( uiIPredMode, 2 RExt__DECODER_DEBUG_BIT_STATISTICS_PASS_OPT_ARG(ctype) );
-#if H_MV_ENC_DEC_TRAC          
+#if NH_MV_ENC_DEC_TRAC          
       DTRACE_CU("intra_chroma_pred_mode", uiIPredMode )
 #endif        
@@ -1064,5 +1064,5 @@
   uiSymbol++;
   ruiInterDir = uiSymbol;
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
     DTRACE_PU("inter_pred_idc", ruiInterDir - 1 )    
 #endif
@@ -1101,5 +1101,5 @@
   }
   riRefFrmIdx = uiSymbol;
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
 #if ENC_DEC_TRACE
   if ( eRefList == REF_PIC_LIST_0 )
@@ -1239,5 +1239,5 @@
       RExt__DECODER_DEBUG_BIT_STATISTICS_PASS_OPT_ARG(TComCodingStatisticsClassType(STATS__CABAC_BITS__TRANSFORM_SUBDIV_FLAG, 5-uiLog2TransformBlockSize))
                           );
-#if !H_MV_ENC_DEC_TRAC
+#if !NH_MV_ENC_DEC_TRAC
   DTRACE_CABAC_VL( g_nSymbolCounter++ )
   DTRACE_CABAC_T( "\tparseTransformSubdivFlag()" )
@@ -1258,5 +1258,5 @@
   const UInt uiCtx = 0;
   m_pcTDecBinIf->decodeBin( uiSymbol , m_cCUQtRootCbfSCModel.get( 0, 0, uiCtx ) RExt__DECODER_DEBUG_BIT_STATISTICS_PASS_OPT_ARG(STATS__CABAC_BITS__QT_ROOT_CBF) );
-#if !H_MV_ENC_DEC_TRAC
+#if !NH_MV_ENC_DEC_TRAC
   DTRACE_CABAC_VL( g_nSymbolCounter++ )
   DTRACE_CABAC_T( "\tparseQtRootCbf()" )
@@ -1386,5 +1386,5 @@
       pcCU->setCbfPartRange((uiCbf << subTUDepth), compID, subTUAbsPartIdx, partIdxesPerSubTU);
       combinedSubTUCBF |= uiCbf;
-#if !H_MV_ENC_DEC_TRAC  
+#if !NH_MV_ENC_DEC_TRAC  
       DTRACE_CABAC_VL( g_nSymbolCounter++ )
       DTRACE_CABAC_T( "\tparseQtCbf()" )
@@ -1430,5 +1430,5 @@
 
     pcCU->setCbfSubParts((uiCbf << lowestTUDepth), compID, absPartIdx, rTu.GetTransformDepthTotalAdj(compID));
-#if !H_MV_ENC_DEC_TRAC
+#if !NH_MV_ENC_DEC_TRAC
     DTRACE_CABAC_VL( g_nSymbolCounter++ )
     DTRACE_CABAC_T( "\tparseQtCbf()" )
@@ -1491,5 +1491,5 @@
                           );
 
-#if !H_MV_ENC_DEC_TRAC
+#if !NH_MV_ENC_DEC_TRAC
   DTRACE_CABAC_VL( g_nSymbolCounter++ )
   DTRACE_CABAC_T("\tparseTransformSkip()");
@@ -1605,5 +1605,5 @@
   TCoeff* pcCoef=(pcCU->getCoeff(compID)+rTu.getCoefficientOffset(compID));
   const TComSPS &sps=*(pcCU->getSlice()->getSPS());
-#if !H_MV_ENC_DEC_TRAC
+#if !NH_MV_ENC_DEC_TRAC
   DTRACE_CABAC_VL( g_nSymbolCounter++ )
   DTRACE_CABAC_T( "\tparseCoeffNxN()\teType=" )
@@ -2284,5 +2284,5 @@
     uiW += ( 1 == uiCode ? 1 : 0 );
   }
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
   DTRACE_CU("iv_res_pred_weight_idx", uiW )
 #endif
@@ -2303,5 +2303,5 @@
   m_pcTDecBinIf->decodeBin( uiSymbol, m_cCUICFlagSCModel.get( 0, 0, 0 ) RExt__DECODER_DEBUG_BIT_STATISTICS_PASS_OPT_ARG(STATS__CABAC_BITS__3D_IC) );
 
-#if !H_MV_ENC_DEC_TRAC 
+#if !NH_MV_ENC_DEC_TRAC 
   DTRACE_CABAC_VL( g_nSymbolCounter++ );
   DTRACE_CABAC_T( "\tICFlag" );
@@ -2394,5 +2394,5 @@
     }
   }
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
   DTRACE_CU("delta_dc", rValDeltaDC);
 #endif
@@ -2495,5 +2495,5 @@
 
   m_pcTDecBinIf->decodeBin( uiSymbol, m_cSDCFlagSCModel.get( 0, 0, 0 ) RExt__DECODER_DEBUG_BIT_STATISTICS_PASS_OPT_ARG(STATS__CABAC_BITS__SDC_INTRA_FLAG) );
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
   DTRACE_CU("dc_only_flag", uiSymbol)
 #endif
Index: /branches/HTM-15.2-dev/source/Lib/TLibDecoder/TDecSlice.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibDecoder/TDecSlice.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibDecoder/TDecSlice.cpp	(revision 1374)
@@ -90,5 +90,5 @@
   g_bJustDoIt = g_bEncDecTraceEnable;
 #endif
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
 #if ENC_DEC_TRACE
   incSymbolCounter(); 
@@ -100,5 +100,5 @@
   DTRACE_CABAC_T( "\tPOC: " );
   DTRACE_CABAC_V( pcPic->getPOC() );
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
   DTRACE_CABAC_T( " Layer: " );
   DTRACE_CABAC_V( pcPic->getLayerId() );
Index: /branches/HTM-15.2-dev/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1374)
@@ -687,8 +687,6 @@
       }
     }
-#if NH_MV_SEI
     m_seiReader.setLayerId ( newPic->getLayerId      ( ) );
     m_seiReader.setDecOrder( newPic->getDecodingOrder( ) );
-#endif
 #endif
 
@@ -839,9 +837,5 @@
     InputNALUnit &nalu=*m_prefixSEINALUs.front();
 #if NH_MV
-#if NH_MV_LAYERS_NOT_PRESENT_SEI
     m_seiReader.parseSEImessage(&(nalu.getBitstream()), m_SEIs, nalu.m_nalUnitType, m_parameterSetManager.getActiveVPS(), m_parameterSetManager.getActiveSPS(getLayerId()), m_pDecodedSEIOutputStream);
-#else
-    m_seiReader.parseSEImessage( &(nalu.getBitstream()), m_SEIs, nalu.m_nalUnitType, m_parameterSetManager.getActiveSPS( getLayerId() ), m_pDecodedSEIOutputStream );
-#endif
 #else
     m_seiReader.parseSEImessage( &(nalu.getBitstream()), m_SEIs, nalu.m_nalUnitType, m_parameterSetManager.getActiveSPS(), m_pDecodedSEIOutputStream );
@@ -1315,9 +1309,5 @@
       {
 #if NH_MV
-#if NH_MV_LAYERS_NOT_PRESENT_SEI
       m_seiReader.parseSEImessage( &(nalu.getBitstream()), m_pcPic->getSEIs(), nalu.m_nalUnitType, m_parameterSetManager.getActiveVPS(), m_parameterSetManager.getActiveSPS(getLayerId()), m_pDecodedSEIOutputStream);
-#else
-      m_seiReader.parseSEImessage( &(nalu.getBitstream()), m_pcPic->getSEIs(), nalu.m_nalUnitType, m_parameterSetManager.getActiveSPS( getLayerId() ), m_pDecodedSEIOutputStream );
-#endif
 #else
         m_seiReader.parseSEImessage( &(nalu.getBitstream()), m_pcPic->getSEIs(), nalu.m_nalUnitType, m_parameterSetManager.getActiveSPS(), m_pDecodedSEIOutputStream );
Index: /branches/HTM-15.2-dev/source/Lib/TLibEncoder/SEIEncoder.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibEncoder/SEIEncoder.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibEncoder/SEIEncoder.cpp	(revision 1374)
@@ -653,17 +653,4 @@
 
 #if NH_MV
-#if !NH_MV_SEI
-Void SEIEncoder::initSEISubBitstreamProperty(SEISubBitstreamProperty *seiSubBitstreamProperty, const TComSPS *sps)
-{
-  seiSubBitstreamProperty->m_activeVpsId = sps->getVPSId();
-  /* These values can be determined by the encoder; for now we will use the input parameter */  
-  seiSubBitstreamProperty->m_numAdditionalSubStreams = m_pcCfg->getNumAdditionalSubStreams();
-  seiSubBitstreamProperty->m_subBitstreamMode        = m_pcCfg->getSubBitstreamMode();
-  seiSubBitstreamProperty->m_outputLayerSetIdxToVps  = m_pcCfg->getOutputLayerSetIdxToVps();
-  seiSubBitstreamProperty->m_highestSublayerId       = m_pcCfg->getHighestSublayerId();
-  seiSubBitstreamProperty->m_avgBitRate              = m_pcCfg->getAvgBitRate();
-  seiSubBitstreamProperty->m_maxBitRate              = m_pcCfg->getMaxBitRate();  
-}
-#else
 Void SEIEncoder::createAnnexFGISeiMessages( SEIMessages& seiMessage, const TComSlice* slice )
 {
@@ -697,5 +684,4 @@
 }
 #endif
-#endif
 
 //! \}
Index: /branches/HTM-15.2-dev/source/Lib/TLibEncoder/SEIEncoder.h
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibEncoder/SEIEncoder.h	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibEncoder/SEIEncoder.h	(revision 1374)
@@ -87,9 +87,5 @@
   Void initTemporalLevel0IndexSEI(SEITemporalLevel0Index *sei, TComSlice *slice);
 #if NH_MV
-#if !NH_MV_SEI
-  Void initSEISubBitstreamProperty(SEISubBitstreamProperty *seiSubBitstreamProperty, const TComSPS *sps);
-#else
   Void createAnnexFGISeiMessages( SEIMessages& seiMessage, const TComSlice* slice );;
-#endif
 #endif
 private:
Index: /branches/HTM-15.2-dev/source/Lib/TLibEncoder/SEIwrite.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibEncoder/SEIwrite.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibEncoder/SEIwrite.cpp	(revision 1374)
@@ -125,16 +125,7 @@
     break;
 #if NH_MV
-#if !NH_MV_SEI
-   case SEI::SUB_BITSTREAM_PROPERTY:
-   xWriteSEISubBitstreamProperty(*static_cast<const SEISubBitstreamProperty*>(&sei));
-   break;
-#endif
-#endif
-#if NH_MV_SEI
-#if NH_MV_LAYERS_NOT_PRESENT_SEI
    case SEI::LAYERS_NOT_PRESENT:
        xWriteSEILayersNotPresent(*static_cast<const SEILayersNotPresent*>(&sei));
      break;
-#endif
    case SEI::INTER_LAYER_CONSTRAINED_TILE_SETS:
      xWriteSEIInterLayerConstrainedTileSets(*static_cast<const SEIInterLayerConstrainedTileSets*>(&sei));
@@ -168,9 +159,7 @@
      xWriteSEIThreeDimensionalReferenceDisplaysInfo(*static_cast<const SEIThreeDimensionalReferenceDisplaysInfo*>(&sei));
      break;
-#if SEI_DRI_F0169
    case SEI::DEPTH_REPRESENTATION_INFO:
        xWriteSEIDepthRepresentationInfo(*static_cast<const SEIDepthRepresentationInfo*>(&sei));
        break;
-#endif
    case SEI::MULTIVIEW_SCENE_INFO:
      xWriteSEIMultiviewSceneInfo(*static_cast<const SEIMultiviewSceneInfo*>(&sei));
@@ -773,24 +762,4 @@
   }
 }
-#if NH_MV
-#if !NH_MV_SEI
-Void SEIWriter::xWriteSEISubBitstreamProperty(const SEISubBitstreamProperty &sei)
-{
-  WRITE_CODE( sei.m_activeVpsId, 4, "active_vps_id" );
-  assert( sei.m_numAdditionalSubStreams >= 1 );
-  WRITE_UVLC( sei.m_numAdditionalSubStreams - 1, "num_additional_sub_streams_minus1" );
-
-  for( Int i = 0; i < sei.m_numAdditionalSubStreams; i++ )
-  {
-    WRITE_CODE( sei.m_subBitstreamMode[i],       2, "sub_bitstream_mode[i]"           );
-    WRITE_UVLC( sei.m_outputLayerSetIdxToVps[i],    "output_layer_set_idx_to_vps[i]"  );
-    WRITE_CODE( sei.m_highestSublayerId[i],      3, "highest_sub_layer_id[i]"         );
-    WRITE_CODE( sei.m_avgBitRate[i],            16, "avg_bit_rate[i]"                 );
-    WRITE_CODE( sei.m_maxBitRate[i],            16, "max_bit_rate[i]"                 );
-  }
-  xWriteByteAlign();
-}
-#endif
-#endif
 
 Void SEIWriter::xWriteSEIKneeFunctionInfo(const SEIKneeFunctionInfo &sei)
@@ -903,5 +872,4 @@
 
 #if NH_MV
-#if NH_MV_LAYERS_NOT_PRESENT_SEI
 Void SEIWriter::xWriteSEILayersNotPresent(const SEILayersNotPresent& sei)
 {
@@ -912,7 +880,5 @@
   }
 };
-#endif
-
-#if NH_MV
+
 Void SEIWriter::xWriteSEIInterLayerConstrainedTileSets( const SEIInterLayerConstrainedTileSets& sei)
 {
@@ -948,5 +914,4 @@
   }
 };
-#endif
 
 #if NH_MV_SEI_TBD
@@ -1135,5 +1100,4 @@
 };
 
-#if SEI_DRI_F0169
 Void SEIWriter::xWriteSEIDepthRepresentationInfo( const SEIDepthRepresentationInfo& sei)
 {
@@ -1262,5 +1226,5 @@
 
 };
-#endif
+
 Void SEIWriter::xWriteSEIMultiviewSceneInfo( const SEIMultiviewSceneInfo& sei)
 {
@@ -1322,6 +1286,4 @@
 };
 
-
-#if NH_MV_SEI
 Void SEIWriter::xWriteSEIMultiviewViewPosition( const SEIMultiviewViewPosition& sei)
 {
@@ -1332,5 +1294,4 @@
   }
 };
-#endif
 
 #if NH_3D
Index: /branches/HTM-15.2-dev/source/Lib/TLibEncoder/SEIwrite.h
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibEncoder/SEIwrite.h	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibEncoder/SEIwrite.h	(revision 1374)
@@ -69,9 +69,4 @@
   Void xWriteSEISOPDescription(const SEISOPDescription& sei);
   Void xWriteSEIScalableNesting(TComBitIf& bs, const SEIScalableNesting& sei, const TComSPS *sps);
-#if NH_MV
-#if !NH_MV_SEI
-  Void xWriteSEISubBitstreamProperty(const SEISubBitstreamProperty &sei);
-#endif
-#endif
   Void xWriteSEITempMotionConstrainedTileSets(const SEITempMotionConstrainedTileSets& sei);
   Void xWriteSEITimeCode(const SEITimeCode& sei);
@@ -82,8 +77,5 @@
 
 #if NH_MV
-#if NH_MV_SEI
-#if NH_MV_LAYERS_NOT_PRESENT_SEI
   Void xWriteSEILayersNotPresent              ( const SEILayersNotPresent& sei);
-#endif
   Void xWriteSEIInterLayerConstrainedTileSets ( const SEIInterLayerConstrainedTileSets& sei);
 #if NH_MV_SEI_TBD
@@ -99,8 +91,6 @@
 #endif
   Void xWriteSEIThreeDimensionalReferenceDisplaysInfo ( const SEIThreeDimensionalReferenceDisplaysInfo& sei);
-#if SEI_DRI_F0169
   Void xWriteSEIDepthRepInfoElement           ( double f);
   Void xWriteSEIDepthRepresentationInfo       ( const SEIDepthRepresentationInfo& sei);
-#endif
   Void xWriteSEIMultiviewSceneInfo            ( const SEIMultiviewSceneInfo& sei);
   Void xWriteSEIMultiviewAcquisitionInfo      ( const SEIMultiviewAcquisitionInfo& sei);
@@ -108,5 +98,4 @@
 #if NH_3D
   Void xWriteSEIAlternativeDepthInfo          ( const SEIAlternativeDepthInfo& sei);
-#endif
 #endif
 #endif
Index: /branches/HTM-15.2-dev/source/Lib/TLibEncoder/SyntaxElementWriter.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibEncoder/SyntaxElementWriter.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibEncoder/SyntaxElementWriter.cpp	(revision 1374)
@@ -49,5 +49,5 @@
   if( g_HLSTraceEnable )
   {
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
     if ( !g_disableNumbering )
     {
@@ -75,5 +75,5 @@
   if( g_HLSTraceEnable )
   {
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
     if ( !g_disableNumbering )
     {
@@ -94,5 +94,5 @@
   if( g_HLSTraceEnable )
   {
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
     if ( !g_disableNumbering )
     {
@@ -113,5 +113,5 @@
   if( g_HLSTraceEnable )
   {
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
     if ( !g_disableNumbering )
     {
@@ -127,5 +127,5 @@
 }
 
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
 Void  SyntaxElementWriter::xWriteStringTr( UChar* value, UInt length, const Char *pSymbolName)
 {
@@ -177,5 +177,5 @@
 }
 
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
 Void  SyntaxElementWriter::xWriteString( UChar* sCode, UInt uiLength)
 {
Index: /branches/HTM-15.2-dev/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1374)
@@ -49,5 +49,5 @@
 #if ENC_DEC_TRACE
 
-#if !H_MV_ENC_DEC_TRAC
+#if !NH_MV_ENC_DEC_TRAC
 Void  xTraceVPSHeader ()
 {
@@ -173,5 +173,5 @@
 {
 #if ENC_DEC_TRACE
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
   tracePSHeader( "PPS", pcPPS->getLayerId() ); 
 #else
@@ -186,5 +186,5 @@
   WRITE_FLAG( pcPPS->getSignHideFlag(), "sign_data_hiding_flag" );
   WRITE_FLAG( pcPPS->getCabacInitPresentFlag() ? 1 : 0,   "cabac_init_present_flag" );
-#if PPS_FIX_DEPTH
+#if H_3D_PPS_FIX_DEPTH
   if( pcPPS->getSPS()->getVPS()->getDepthId(pcPPS->getSPS()->getLayerId()) )
   {
@@ -197,5 +197,5 @@
   WRITE_UVLC( pcPPS->getNumRefIdxL0DefaultActive()-1,     "num_ref_idx_l0_default_active_minus1");
   WRITE_UVLC( pcPPS->getNumRefIdxL1DefaultActive()-1,     "num_ref_idx_l1_default_active_minus1");
-#if PPS_FIX_DEPTH
+#if H_3D_PPS_FIX_DEPTH
   }
 #endif
@@ -257,5 +257,5 @@
     codeScalingList( pcPPS->getScalingList() );
   }
-#if PPS_FIX_DEPTH
+#if H_3D_PPS_FIX_DEPTH
   if( pcPPS->getSPS()->getVPS()->getDepthId(pcPPS->getSPS()->getLayerId()) )
   {
@@ -681,5 +681,5 @@
 
 #if ENC_DEC_TRACE
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
   tracePSHeader( "SPS", pcSPS->getLayerId() ); 
 #else
@@ -1018,5 +1018,5 @@
 {
 #if ENC_DEC_TRACE
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
   tracePSHeader( "VPS", getEncTop()->getLayerId() ); 
 #else
@@ -1783,5 +1783,5 @@
     WRITE_FLAG( pcSlice->getNoOutputPriorPicsFlag() ? 1 : 0, "no_output_of_prior_pics_flag" );
   }
-#if PPS_FIX_DEPTH
+#if H_3D_PPS_FIX_DEPTH
   if( pcSlice->getIsDepth() )
   {
@@ -2054,5 +2054,5 @@
     {
       Bool overrideFlag = (pcSlice->getNumRefIdx( REF_PIC_LIST_0 )!=pcSlice->getPPS()->getNumRefIdxL0DefaultActive()||(pcSlice->isInterB()&&pcSlice->getNumRefIdx( REF_PIC_LIST_1 )!=pcSlice->getPPS()->getNumRefIdxL1DefaultActive()));
-#if PPS_FIX_DEPTH
+#if H_3D_PPS_FIX_DEPTH
       overrideFlag |= (pcSlice->getIsDepth() && !pcSlice->getViewIndex());
 #endif
@@ -2076,5 +2076,5 @@
       pcSlice->setNumRefIdx(REF_PIC_LIST_1, 0);
     }
-#if PPS_FIX_DEPTH
+#if H_3D_PPS_FIX_DEPTH
     if( (pcSlice->getPPS()->getListsModificationPresentFlag() || (pcSlice->getIsDepth() && !pcSlice->getViewIndex())) && pcSlice->getNumRpsCurrTempList() > 1)
 #else
Index: /branches/HTM-15.2-dev/source/Lib/TLibEncoder/TEncCfg.h
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibEncoder/TEncCfg.h	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibEncoder/TEncCfg.h	(revision 1374)
@@ -360,5 +360,5 @@
   std::string m_colourRemapSEIFileRoot;          ///< SEI Colour Remapping File (initialized from external file)
   TComSEIMasteringDisplay m_masteringDisplay;
-#if NH_MV_SEI
+#if NH_MV
   SEIMessages* m_seiMessages; 
 #endif
@@ -450,15 +450,4 @@
   UInt        m_summaryVerboseness;                           ///< Specifies the level of the verboseness of the text output.
 
-#if NH_MV
-#if !NH_MV_SEI
-  Bool              m_subBistreamPropSEIEnabled;
-  Int               m_numAdditionalSubStreams;
-  std::vector<Int>  m_subBitstreamMode;
-  std::vector<Int>  m_outputLayerSetIdxToVps;
-  std::vector<Int>  m_highestSublayerId;
-  std::vector<Int>  m_avgBitRate;
-  std::vector<Int>  m_maxBitRate;
-#endif
-#endif
 
 #if NH_MV
@@ -981,36 +970,7 @@
   const TComSEIMasteringDisplay &getMasteringDisplaySEI() const      { return m_masteringDisplay; }
 #if NH_MV
-#if NH_MV_SEI
   Void setSeiMessages(SEIMessages *p)                                { m_seiMessages = p;    }
   const SEIMessages*  getSeiMessages()                               { return m_seiMessages; }
-#else
-  Bool   getSubBitstreamPropSEIEnabled()                             { return m_subBistreamPropSEIEnabled;}
-  Void   setSubBitstreamPropSEIEnabled(Bool x)                       { m_subBistreamPropSEIEnabled = x;}
-                                                                     
-  Int    getNumAdditionalSubStreams()                                { return m_numAdditionalSubStreams;}
-  Void   setNumAdditionalSubStreams(Int x)                           { m_numAdditionalSubStreams = x;}
-
-  std::vector<Int> const &getSubBitstreamMode()                      { return m_subBitstreamMode;}
-  Int   getSubBitstreamMode(Int idx)                                 { return m_subBitstreamMode[idx];}
-  Void  setSubBitstreamMode(std::vector<Int> &x)                     { m_subBitstreamMode = x;}
-
-  std::vector<Int> const &getOutputLayerSetIdxToVps()                { return m_outputLayerSetIdxToVps;}
-  Int   getOutputLayerSetIdxToVps(Int idx)                           { return m_outputLayerSetIdxToVps[idx];}
-  Void  setOutputLayerSetIdxToVps(std::vector<Int> &x)               { m_outputLayerSetIdxToVps = x;}
-                                                                     
-  std::vector<Int> const &getHighestSublayerId()                     { return m_highestSublayerId;}
-  Int   getHighestSublayerId(Int idx)                                { return m_highestSublayerId[idx];}
-  Void  setHighestSublayerId(std::vector<Int> &x)                    { m_highestSublayerId = x;}
-                                                                     
-  std::vector<Int> const &getAvgBitRate()                            { return m_avgBitRate;}
-  Int   getAvgBitRate(Int idx)                                       { return m_avgBitRate[idx];}
-  Void  setAvgBitRate(std::vector<Int> &x)                           { m_avgBitRate = x;}
-                                                                     
-  std::vector<Int> const &getMaxBitRate()                            { return m_maxBitRate;}
-  Int   getMaxBitRate(Int idx)                                       { return m_maxBitRate[idx];}
-  Void  setMaxBitRate(std::vector<Int> &x)                           { m_maxBitRate = x;}
-#endif
-#endif
-
+#endif
   Void         setUseWP               ( Bool b )                     { m_useWeightedPred   = b;    }
   Void         setWPBiPred            ( Bool b )                     { m_useWeightedBiPred = b;    }
Index: /branches/HTM-15.2-dev/source/Lib/TLibEncoder/TEncCu.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibEncoder/TEncCu.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibEncoder/TEncCu.cpp	(revision 1374)
@@ -462,5 +462,5 @@
   const UInt uiWidth   = rpcBestCU->getWidth(0);
 
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
 #if ENC_DEC_TRACE
     stopAtPos  ( rpcBestCU->getSlice()->getPOC(), 
@@ -1519,5 +1519,5 @@
   const UInt uiBPelY   = uiTPelY + (maxCUHeight>>uiDepth) - 1;
 
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
   DTRACE_CU_S("=========== coding_quadtree ===========\n")
   DTRACE_CU("x0", uiLPelX)
@@ -1561,5 +1561,5 @@
   }
 
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
   DTRACE_CU_S("=========== coding_unit ===========\n")
 #endif
@@ -1588,5 +1588,5 @@
   if( pcCU->isSkipped( uiAbsPartIdx ) )
   {
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
     DTRACE_PU_S("=========== prediction_unit ===========\n")
     DTRACE_PU("x0", uiLPelX)
@@ -2308,5 +2308,5 @@
     for( Int nARPW = 0; nARPW <= nARPWMax; nARPW++ )
     {
-#if DEBUG_STRING && H_MV_ENC_DEC_TRAC
+#if DEBUG_STRING && NH_MV_ENC_DEC_TRAC
       sTest.clear(); 
 #endif
@@ -2744,10 +2744,10 @@
   m_pcPredSearch  ->estIntraPredDIS      ( rpcTempCU, m_ppcOrigYuv[uiDepth], m_ppcPredYuvTemp[uiDepth], m_ppcResiYuvTemp[uiDepth], m_ppcRecoYuvTemp[uiDepth], uiPreCalcDistC, false );
 
-#if ENC_DEC_TRACE && H_MV_ENC_DEC_TRAC
+#if ENC_DEC_TRACE && NH_MV_ENC_DEC_TRAC
   Int oldTraceCopyBack = g_traceCopyBack; 
   g_traceCopyBack = false;  
 #endif
   m_ppcRecoYuvTemp[uiDepth]->copyToPicComponent(COMPONENT_Y, rpcTempCU->getPic()->getPicYuvRec(), rpcTempCU->getCtuRsAddr(), rpcTempCU->getZorderIdxInCtu() );
-#if ENC_DEC_TRACE && H_MV_ENC_DEC_TRAC  
+#if ENC_DEC_TRACE && NH_MV_ENC_DEC_TRAC  
   g_traceCopyBack = oldTraceCopyBack; 
 #endif
@@ -3080,5 +3080,5 @@
   m_ppcRecoYuvBest[uiSrcDepth]->copyToPicYuv( rpcPic->getPicYuvRec (), uiCUAddr, uiAbsPartIdx, uiDepth - uiSrcDepth, uiPartIdx);
 
-#if ENC_DEC_TRACE && H_MV_ENC_DEC_TRAC
+#if ENC_DEC_TRACE && NH_MV_ENC_DEC_TRAC
   Bool oldtraceCopyBack = g_traceCopyBack;
   g_traceCopyBack = false; 
@@ -3086,5 +3086,5 @@
   m_ppcPredYuvBest[uiSrcDepth]->copyToPicYuv( rpcPic->getPicYuvPred (), uiCUAddr, uiAbsPartIdx, uiDepth - uiSrcDepth, uiPartIdx);
 
-#if ENC_DEC_TRACE && H_MV_ENC_DEC_TRAC
+#if ENC_DEC_TRACE && NH_MV_ENC_DEC_TRAC
   g_traceCopyBack = oldtraceCopyBack; 
 #endif
Index: /branches/HTM-15.2-dev/source/Lib/TLibEncoder/TEncEntropy.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibEncoder/TEncEntropy.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibEncoder/TEncEntropy.cpp	(revision 1374)
@@ -281,5 +281,5 @@
   const UInt uiTrIdx = rTu.GetTransformDepthRel();
   const UInt uiDepth = rTu.GetTransformDepthTotal();
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
 #if ENC_DEC_TRACE
   UInt uiLPelX   = pcCU->getCUPelX() + g_auiRasterToPelX[ g_auiZscanToRaster[uiAbsPartIdx] ];
@@ -388,5 +388,5 @@
   else
   {
-#if !H_MV_ENC_DEC_TRAC
+#if !NH_MV_ENC_DEC_TRAC
     {
       DTRACE_CABAC_VL( g_nSymbolCounter++ );
@@ -557,5 +557,5 @@
   for ( UInt uiPartIdx = 0, uiSubPartIdx = uiAbsPartIdx; uiPartIdx < uiNumPU; uiPartIdx++, uiSubPartIdx += uiPUOffset )
   {
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
     DTRACE_PU_S("=========== prediction_unit ===========\n")
        //Todo: 
@@ -795,5 +795,5 @@
 Void TEncEntropy::encodeCoeffNxN( TComTU &rTu, TCoeff* pcCoef, const ComponentID compID)
 {
-#if ENC_DEC_TRACE && H_MV_ENC_DEC_TRAC
+#if ENC_DEC_TRACE && NH_MV_ENC_DEC_TRAC
   Bool oldTraceFracBits = g_traceEncFracBits; 
   g_traceEncFracBits = false; 
@@ -827,5 +827,5 @@
     }
   }
-#if ENC_DEC_TRACE && H_MV_ENC_DEC_TRAC
+#if ENC_DEC_TRACE && NH_MV_ENC_DEC_TRAC
   g_traceEncFracBits = oldTraceFracBits; 
 #endif
Index: /branches/HTM-15.2-dev/source/Lib/TLibEncoder/TEncGOP.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 1374)
@@ -340,5 +340,5 @@
   xClearSEIs(currentMessages, !testWrite);
 
-#if NH_MV_LAYERS_NOT_PRESENT_SEI
+#if NH_MV
   // Layers not present SEI message
   currentMessages = extractSeisByType(localMessages, SEI::LAYERS_NOT_PRESENT);
@@ -502,16 +502,4 @@
     seiMessages.push_back(seiChromaResamplingFilterHint);
   }
-
-
-#if NH_MV
-#if !NH_MV_SEI
-  if( m_pcCfg->getSubBitstreamPropSEIEnabled() && ( getLayerId() == 0 ) )
-  {
-    SEISubBitstreamProperty *sei = new SEISubBitstreamProperty;
-    m_seiEncoder.initSEISubBitstreamProperty( sei, sps );
-    seiMessages.push_back(sei);
-  }
-#endif
-#endif
 }
 
@@ -1925,9 +1913,9 @@
       // write various parameter sets
       actualTotalBits += xWriteParameterSets(accessUnit, pcSlice);
-#if PPS_FIX_DEPTH
+#if H_3D_PPS_FIX_DEPTH
       if(!pcSlice->getIsDepth() || !pcSlice->getViewIndex() )
       {
 #endif
-#if PPS_FIX_DEPTH
+#if H_3D_PPS_FIX_DEPTH
       }
 #endif
@@ -1950,5 +1938,5 @@
     xCreatePerPictureSEIMessages(iGOPid, leadingSeiMessages, nestedSeiMessages, pcSlice);
 
-#if NH_MV_SEI
+#if NH_MV
     m_seiEncoder.createAnnexFGISeiMessages( leadingSeiMessages, pcSlice );
 #endif
Index: /branches/HTM-15.2-dev/source/Lib/TLibEncoder/TEncSbac.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 1374)
@@ -550,5 +550,5 @@
 
   xWriteUnaryMaxSymbol(iSymbol, m_cMVPIdxSCModel.get(0), 1, iNum-1);
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
 #if ENC_DEC_TRACE
   if ( eRefList == REF_PIC_LIST_0 )
@@ -606,5 +606,5 @@
     {
       m_pcBinIf->encodeBin( eSize == SIZE_2Nx2N? 1 : 0, m_cCUPartSizeSCModel.get( 0, 0, 0 ) );
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
       DTRACE_CU("part_mode", eSize == SIZE_2Nx2N? 1 : 0)
 #endif        
@@ -613,5 +613,5 @@
     return;
   }
-#if H_MV_ENC_DEC_TRAC          
+#if NH_MV_ENC_DEC_TRAC          
   DTRACE_CU("part_mode", eSize )
 #endif        
@@ -781,5 +781,5 @@
   // get context function is here
   m_pcBinIf->encodeBin( pcCU->isIntra( uiAbsPartIdx ) ? 1 : 0, m_cCUPredModeSCModel.get( 0, 0, 0 ) );
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
   DTRACE_CU("pred_mode_flag", pcCU->isIntra( uiAbsPartIdx ) ? 1 : 0); 
 #endif
@@ -791,5 +791,5 @@
   UInt uiSymbol = pcCU->getCUTransquantBypass(uiAbsPartIdx);
   m_pcBinIf->encodeBin( uiSymbol, m_CUTransquantBypassFlagSCModel.get( 0, 0, 0 ) );
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
   DTRACE_CU("cu_transquant_bypass_flag", uiSymbol); 
 #endif
@@ -808,5 +808,5 @@
   UInt uiCtxSkip = pcCU->getCtxSkipFlag( uiAbsPartIdx ) ;
   m_pcBinIf->encodeBin( uiSymbol, m_cCUSkipFlagSCModel.get( 0, 0, uiCtxSkip ) );
-#if !H_MV_ENC_DEC_TRAC
+#if !NH_MV_ENC_DEC_TRAC
   DTRACE_CABAC_VL( g_nSymbolCounter++ );
   DTRACE_CABAC_T( "\tSkipFlag" );
@@ -831,5 +831,5 @@
   m_pcBinIf->encodeBin( uiSymbol, *m_cCUMergeFlagExtSCModel.get( 0 ) );
 
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
   DTRACE_PU("merge_flag", uiSymbol); 
 #else
@@ -872,9 +872,9 @@
       }
     }
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
     DTRACE_PU("merge_idx", uiUnaryIdx); 
 #endif
   }
-#if !H_MV_ENC_DEC_TRAC
+#if !NH_MV_ENC_DEC_TRAC
   DTRACE_CABAC_VL( g_nSymbolCounter++ );
   DTRACE_CABAC_T( "\tparseMergeIndex()" );
@@ -899,5 +899,5 @@
      m_pcBinIf->encodeBin( ( iW == iMaxW ) ? 1 : 0, m_cCUPUARPWSCModel.get( 0, 0, 2 ) );
   }
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
   DTRACE_CU("iv_res_pred_weight_idx", iW); 
 #endif
@@ -916,5 +916,5 @@
   UInt uiSymbol = pcCU->getICFlag( uiAbsPartIdx ) ? 1 : 0;
   m_pcBinIf->encodeBin( uiSymbol, m_cCUICFlagSCModel.get( 0, 0, 0 ) );
-#if !H_MV_ENC_DEC_TRAC
+#if !NH_MV_ENC_DEC_TRAC
   DTRACE_CABAC_VL( g_nSymbolCounter++ );
   DTRACE_CABAC_T( "\tICFlag" );
@@ -971,5 +971,5 @@
 
   m_pcBinIf->encodeBin( uiCurrSplitFlag, m_cCUSplitFlagSCModel.get( 0, 0, uiCtx ) );
-#if !H_MV_ENC_DEC_TRAC
+#if !NH_MV_ENC_DEC_TRAC
   DTRACE_CABAC_VL( g_nSymbolCounter++ )
   DTRACE_CABAC_T( "\tSplitFlag\n" )
@@ -983,5 +983,5 @@
 {
   m_pcBinIf->encodeBin( uiSymbol, m_cCUTransSubdivFlagSCModel.get( 0, 0, uiCtx ) );
-#if !H_MV_ENC_DEC_TRAC
+#if !NH_MV_ENC_DEC_TRAC
   DTRACE_CABAC_VL( g_nSymbolCounter++ )
   DTRACE_CABAC_T( "\tparseTransformSubdivFlag()" )
@@ -1027,5 +1027,5 @@
     }
     m_pcBinIf->encodeBin((predIdx[j] != -1)? 1 : 0, m_cCUIntraPredSCModel.get( 0, 0, 0 ) );
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
       DTRACE_CU("prev_intra_luma_pred_flag", (predIdx[j] != -1)? 1 : 0); 
 #endif
@@ -1048,5 +1048,5 @@
         m_pcBinIf->encodeBinEP( predIdx[j]-1 );
       }
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
         DTRACE_CU("mpm_idx", predIdx[j] ); 
 #endif
@@ -1071,5 +1071,5 @@
       }
       m_pcBinIf->encodeBinsEP( dir[j], 5 );
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
         DTRACE_CU("rem_intra_luma_pred_mode", dir[j] ); 
 #endif
@@ -1089,5 +1089,5 @@
   {
     m_pcBinIf->encodeBin( 0, m_cCUChromaPredSCModel.get( 0, 0, 0 ) );
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
     DTRACE_CU("intra_chroma_pred_mode", 0 ); 
 #endif
@@ -1110,5 +1110,5 @@
 
     m_pcBinIf->encodeBinsEP( uiIntraDirChroma, 2 );
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
     DTRACE_CU("intra_chroma_pred_mode", uiIntraDirChroma ); 
 #endif
@@ -1134,5 +1134,5 @@
     m_pcBinIf->encodeBin( uiInterDir, *( pCtx + 4 ) );
   }
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
   DTRACE_PU("inter_pred_idc", uiInterDir ); 
 #endif
@@ -1169,5 +1169,5 @@
     }
   }
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
 #if ENC_DEC_TRACE
     iRefFrame = pcCU->getCUMvField( eRefList )->getRefIdx( uiAbsPartIdx ); 
@@ -1366,5 +1366,5 @@
 
       m_pcBinIf->encodeBin(uiCbf, m_cCUQtCbfSCModel.get(0, contextSet, uiCtx));
-#if !H_MV_ENC_DEC_TRAC
+#if !NH_MV_ENC_DEC_TRAC
       DTRACE_CABAC_VL( g_nSymbolCounter++ )
       DTRACE_CABAC_T( "\tparseQtCbf()" )
@@ -1400,5 +1400,5 @@
     const UInt uiCbf = pcCU->getCbf( absPartIdx, compID, lowestTUDepth );
     m_pcBinIf->encodeBin( uiCbf , m_cCUQtCbfSCModel.get( 0, contextSet, uiCtx ) );
-#if !H_MV_ENC_DEC_TRAC
+#if !NH_MV_ENC_DEC_TRAC
     DTRACE_CABAC_VL( g_nSymbolCounter++ )
     DTRACE_CABAC_T( "\tparseQtCbf()" )
@@ -1448,5 +1448,5 @@
   UInt useTransformSkip = pcCU->getTransformSkip( uiAbsPartIdx,component);
   m_pcBinIf->encodeBin( useTransformSkip, m_cTransformSkipSCModel.get( 0, toChannelType(component), 0 ) );
-#if !H_MV_ENC_DEC_TRAC
+#if !NH_MV_ENC_DEC_TRAC
   DTRACE_CABAC_VL( g_nSymbolCounter++ )
   DTRACE_CABAC_T("\tparseTransformSkip()");
@@ -1476,5 +1476,5 @@
 
   m_pcBinIf->encodeBinTrm (uiIPCM);
-#if H_MV_ENC_DEC_TRAC          
+#if NH_MV_ENC_DEC_TRAC          
   DTRACE_CU("pcm_flag", uiIPCM)
 #endif
@@ -1512,5 +1512,5 @@
   UInt uiCtx = 0;
   m_pcBinIf->encodeBin( uiCbf , m_cCUQtRootCbfSCModel.get( 0, 0, uiCtx ) );
-#if !H_MV_ENC_DEC_TRAC
+#if !NH_MV_ENC_DEC_TRAC
   DTRACE_CABAC_VL( g_nSymbolCounter++ )
   DTRACE_CABAC_T( "\tparseQtRootCbf()" )
@@ -1629,5 +1629,5 @@
   const UInt uiHeight=tuRect.height;
   const TComSPS &sps=*(pcCU->getSlice()->getSPS());
-#if !H_MV_ENC_DEC_TRAC
+#if !NH_MV_ENC_DEC_TRAC
 
   DTRACE_CABAC_VL( g_nSymbolCounter++ )
@@ -2526,5 +2526,5 @@
 Void TEncSbac::xCodeDeltaDC( Pel valDeltaDC, UInt uiNumSeg )
 {
-#if ENC_DEC_TRACE && H_MV_ENC_DEC_TRAC
+#if ENC_DEC_TRACE && NH_MV_ENC_DEC_TRAC
   DTRACE_CU("delta_dc", valDeltaDC);
 #endif
@@ -2618,5 +2618,5 @@
 {
   UInt uiSymbol = pcCU->getSDCFlag( uiAbsPartIdx ) ? 1 : 0;
-#if ENC_DEC_TRACE && H_MV_ENC_DEC_TRAC
+#if ENC_DEC_TRACE && NH_MV_ENC_DEC_TRAC
   DTRACE_CU("dc_only_flag", uiSymbol)
 #endif
Index: /branches/HTM-15.2-dev/source/Lib/TLibEncoder/TEncSearch.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 1374)
@@ -6099,5 +6099,5 @@
   }
 
-#if ENC_DEC_TRACE && H_MV_ENC_DEC_TRAC
+#if ENC_DEC_TRACE && NH_MV_ENC_DEC_TRAC
   Bool oldTraceRDCost = g_traceRDCost;     
   g_traceRDCost = false; 
@@ -6112,5 +6112,5 @@
   xEstimateInterResidualQT( pcYuvResi,  pcYuvOrg, pcYuvPred, nonZeroCost, nonZeroBits, nonZeroDistortion, &zeroDistortion, tuLevel0 DEBUG_STRING_PASS_INTO(sDebug) );    
 
-#if ENC_DEC_TRACE && H_MV_ENC_DEC_TRAC
+#if ENC_DEC_TRACE && NH_MV_ENC_DEC_TRAC
   g_traceRDCost = oldTraceRDCost;
   g_traceEncFracBits = oldTraceFracBits; 
Index: /branches/HTM-15.2-dev/source/Lib/TLibEncoder/TEncSlice.cpp
===================================================================
--- /branches/HTM-15.2-dev/source/Lib/TLibEncoder/TEncSlice.cpp	(revision 1373)
+++ /branches/HTM-15.2-dev/source/Lib/TLibEncoder/TEncSlice.cpp	(revision 1374)
@@ -1144,5 +1144,5 @@
   g_bJustDoIt = g_bEncDecTraceEnable;
 #endif
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
 #if ENC_DEC_TRACE
   incSymbolCounter();
@@ -1154,5 +1154,5 @@
   DTRACE_CABAC_T( "\tPOC: " );
   DTRACE_CABAC_V( pcPic->getPOC() );
-#if H_MV_ENC_DEC_TRAC
+#if NH_MV_ENC_DEC_TRAC
   DTRACE_CABAC_T( " Layer: " );
   DTRACE_CABAC_V( pcPic->getLayerId() );
